/*
 * (c) Copyright 1993, Silicon Graphics, Inc.
 * ALL RIGHTS RESERVED 
 * Permission to use, copy, modify, and distribute this software for 
 * any purpose and without fee is hereby granted, provided that the above
 * copyright notice appear in all copies and that both the copyright notice
 * and this permission notice appear in supporting documentation, and that 
 * the name of Silicon Graphics, Inc. not be used in advertising
 * or publicity pertaining to distribution of the software without specific,
 * written prior permission. 
 *
 * THE MATERIAL EMBODIED ON THIS SOFTWARE IS PROVIDED TO YOU "AS-IS"
 * AND WITHOUT WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR OTHERWISE,
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY OR
 * FITNESS FOR A PARTICULAR PURPOSE.  IN NO EVENT SHALL SILICON
 * GRAPHICS, INC.  BE LIABLE TO YOU OR ANYONE ELSE FOR ANY DIRECT,
 * SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY
 * KIND, OR ANY DAMAGES WHATSOEVER, INCLUDING WITHOUT LIMITATION,
 * LOSS OF PROFIT, LOSS OF USE, SAVINGS OR REVENUE, OR THE CLAIMS OF
 * THIRD PARTIES, WHETHER OR NOT SILICON GRAPHICS, INC.  HAS BEEN
 * ADVISED OF THE POSSIBILITY OF SUCH LOSS, HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE
 * POSSESSION, USE OR PERFORMANCE OF THIS SOFTWARE.
 * 
 * US Government Users Restricted Rights 
 * Use, duplication, or disclosure by the Government is subject to
 * restrictions set forth in FAR 52.227.19(c)(2) or subparagraph
 * (c)(1)(ii) of the Rights in Technical Data and Computer Software
 * clause at DFARS 252.227-7013 and/or in similar or successor
 * clauses in the FAR or the DOD or NASA FAR Supplement.
 * Unpublished-- rights reserved under the copyright laws of the
 * United States.  Contractor/manufacturer is Silicon Graphics,
 * Inc., 2011 N.  Shoreline Blvd., Mountain View, CA 94039-7311.
 *
 * OpenGL(TM) is a trademark of Silicon Graphics, Inc.
 *
 * $Id: a.java,v 1.2 1998/10/19 11:03:01 descarte Exp descarte $
 *
 * Magician conversion Copyright (c)1997-1998 Arcane Technologies Ltd. <http://www.arcana.co.uk>
 *
 * $Log: a.java,v $
 * Revision 1.2  1998/10/19 11:03:01  descarte
 * Made JDK-1.1 compliant by removing deprecated methods. Updated copyright.
 *
 * Revision 1.1  1997/08/24 20:44:56  descarte
 * Initial revision
 *
 */

package com.hermetica.magician.demos.ideas;

import com.hermetica.magician.*;

public class a {

    static float[][] a_data = {
        { 5.618949f, 10.261048f },
        { 5.322348f, 9.438848f },
        { 5.124614f, 10.030832f },
        { 4.860968f, 9.488181f },
        { 4.811534f, 9.932169f },
        { 3.938208f, 9.438848f },
        { 3.658084f, 9.685509f },
        { 2.784758f, 8.994862f },
        { 2.801236f, 9.175745f },
        { 1.960865f, 8.172662f },
        { 1.186406f, 7.761562f },
        { 1.252317f, 6.561151f },
        { 0.576725f, 6.610483f },
        { 0.939238f, 5.525180f },
        { 0.164779f, 4.883864f },
        { 0.840371f, 4.818089f },
        { 0.230690f, 3.963001f },
        { 0.939238f, 4.242549f },
        { 0.609681f, 3.255909f },
        { 1.268795f, 3.963001f },
        { 1.021627f, 3.075026f },
        { 1.861998f, 4.045221f },
        { 1.829042f, 3.535457f },
        { 2.817714f, 4.818089f },
        { 3.163749f, 4.998972f },
        { 3.971164f, 6.643371f },
        { 4.267765f, 6.725591f },
        { 4.663234f, 7.630010f },
       
        { 5.404737f, 9.734840f },
        { 4.646756f, 9.669065f },
        { 5.108136f, 8.731757f },
        { 4.679712f, 8.600205f },
        { 4.926879f, 7.564234f },
        { 4.366632f, 6.692703f },
        { 4.663234f, 5.344296f },
        { 3.888774f, 4.850976f },
        { 4.630278f, 4.094553f },
        { 3.954686f, 3.963001f },
        { 4.828012f, 3.798561f },
        { 4.168898f, 3.321686f },
        { 5.157569f, 3.864337f },
        { 4.514933f, 3.091470f },
        { 5.553038f, 4.045221f },
        { 5.305870f, 3.634121f },
        { 5.932029f, 4.176773f },
      };

    public static void draw( GL gl_ ) {

        gl_.glBegin( GL.GL_TRIANGLE_STRIP );
            gl_.glVertex2fv( a_data[0] );
    	    gl_.glVertex2fv( a_data[1] );
    	    gl_.glVertex2fv( a_data[2] );
    	    gl_.glVertex2fv( a_data[3] );
    	    gl_.glVertex2fv( a_data[4] );
    	    gl_.glVertex2fv( a_data[5] );
    	    gl_.glVertex2fv( a_data[6] );
    	    gl_.glVertex2fv( a_data[7] );
    	    gl_.glVertex2fv( a_data[8] );
    	    gl_.glVertex2fv( a_data[9] );
    	    gl_.glVertex2fv( a_data[10] );
    	    gl_.glVertex2fv( a_data[11] );
    	    gl_.glVertex2fv( a_data[12] );
    	    gl_.glVertex2fv( a_data[13] );
    	    gl_.glVertex2fv( a_data[14] );
    	    gl_.glVertex2fv( a_data[15] );
    	    gl_.glVertex2fv( a_data[16] );
    	    gl_.glVertex2fv( a_data[17] );
    	    gl_.glVertex2fv( a_data[18] );
    	    gl_.glVertex2fv( a_data[19] );
    	    gl_.glVertex2fv( a_data[20] );
    	    gl_.glVertex2fv( a_data[21] );
    	    gl_.glVertex2fv( a_data[22] );
    	    gl_.glVertex2fv( a_data[23] );
    	    gl_.glVertex2fv( a_data[24] );
    	    gl_.glVertex2fv( a_data[25] );
    	    gl_.glVertex2fv( a_data[26] );
    	    gl_.glVertex2fv( a_data[27] );
        gl_.glEnd();
    
        gl_.glBegin( GL.GL_TRIANGLE_STRIP );
            gl_.glVertex2fv( a_data[28] );
            gl_.glVertex2fv( a_data[29] );
            gl_.glVertex2fv( a_data[30] );
           	gl_.glVertex2fv( a_data[31] );
           	gl_.glVertex2fv( a_data[32] );
           	gl_.glVertex2fv( a_data[33] );
           	gl_.glVertex2fv( a_data[34] );
           	gl_.glVertex2fv( a_data[35] );
           	gl_.glVertex2fv( a_data[36] );
           	gl_.glVertex2fv( a_data[37] );
           	gl_.glVertex2fv( a_data[38] );
           	gl_.glVertex2fv( a_data[39] );
           	gl_.glVertex2fv( a_data[40] );
           	gl_.glVertex2fv( a_data[41] );
           	gl_.glVertex2fv( a_data[42] );
           	gl_.glVertex2fv( a_data[43] );
           	gl_.glVertex2fv( a_data[44] );
        gl_.glEnd();
    
        gl_.glBegin( GL.GL_LINE_STRIP );
            gl_.glVertex2fv( a_data[0] );
            gl_.glVertex2fv( a_data[2] );
            gl_.glVertex2fv( a_data[4] );
            gl_.glVertex2fv( a_data[6] );
            gl_.glVertex2fv( a_data[8] );
            gl_.glVertex2fv( a_data[10] );
            gl_.glVertex2fv( a_data[12] );
            gl_.glVertex2fv( a_data[14] );
            gl_.glVertex2fv( a_data[16] );
            gl_.glVertex2fv( a_data[18] );
            gl_.glVertex2fv( a_data[20] );
            gl_.glVertex2fv( a_data[22] );
            gl_.glVertex2fv( a_data[24] );
            gl_.glVertex2fv( a_data[26] );
            gl_.glVertex2fv( a_data[27] );
            gl_.glVertex2fv( a_data[25] );
            gl_.glVertex2fv( a_data[23] );
            gl_.glVertex2fv( a_data[21]);
            gl_.glVertex2fv( a_data[19] );
            gl_.glVertex2fv( a_data[17] );
            gl_.glVertex2fv( a_data[15] );
            gl_.glVertex2fv( a_data[13] );
            gl_.glVertex2fv( a_data[11] );
            gl_.glVertex2fv( a_data[9] );
            gl_.glVertex2fv( a_data[7] );
            gl_.glVertex2fv( a_data[5] );
            gl_.glVertex2fv( a_data[3] );
            gl_.glVertex2fv( a_data[1] );
        gl_.glEnd();

        gl_.glBegin( GL.GL_LINE_STRIP );
            gl_.glVertex2fv( a_data[28] );
            gl_.glVertex2fv( a_data[30] );
            gl_.glVertex2fv( a_data[32] );
            gl_.glVertex2fv( a_data[34] );
            gl_.glVertex2fv( a_data[36] );
            gl_.glVertex2fv( a_data[38] );
            gl_.glVertex2fv( a_data[40] );
            gl_.glVertex2fv( a_data[42] );
            gl_.glVertex2fv( a_data[44] );
            gl_.glVertex2fv( a_data[43] );
            gl_.glVertex2fv( a_data[41] );
            gl_.glVertex2fv( a_data[39] );
            gl_.glVertex2fv( a_data[37] );
            gl_.glVertex2fv( a_data[35] );
            gl_.glVertex2fv( a_data[33] );
            gl_.glVertex2fv( a_data[31] );
    	    gl_.glVertex2fv( a_data[29] );
        gl_.glEnd();
      }
  }

