/*
 * (c) Copyright 1993, Silicon Graphics, Inc.
 * ALL RIGHTS RESERVED 
 * Permission to use, copy, modify, and distribute this software for 
 * any purpose and without fee is hereby granted, provided that the above
 * copyright notice appear in all copies and that both the copyright notice
 * and this permission notice appear in supporting documentation, and that 
 * the name of Silicon Graphics, Inc. not be used in advertising
 * or publicity pertaining to distribution of the software without specific,
 * written prior permission. 
 *
 * THE MATERIAL EMBODIED ON THIS SOFTWARE IS PROVIDED TO YOU "AS-IS"
 * AND WITHOUT WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR OTHERWISE,
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY OR
 * FITNESS FOR A PARTICULAR PURPOSE.  IN NO EVENT SHALL SILICON
 * GRAPHICS, INC.  BE LIABLE TO YOU OR ANYONE ELSE FOR ANY DIRECT,
 * SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY
 * KIND, OR ANY DAMAGES WHATSOEVER, INCLUDING WITHOUT LIMITATION,
 * LOSS OF PROFIT, LOSS OF USE, SAVINGS OR REVENUE, OR THE CLAIMS OF
 * THIRD PARTIES, WHETHER OR NOT SILICON GRAPHICS, INC.  HAS BEEN
 * ADVISED OF THE POSSIBILITY OF SUCH LOSS, HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE
 * POSSESSION, USE OR PERFORMANCE OF THIS SOFTWARE.
 * 
 * US Government Users Restricted Rights 
 * Use, duplication, or disclosure by the Government is subject to
 * restrictions set forth in FAR 52.227.19(c)(2) or subparagraph
 * (c)(1)(ii) of the Rights in Technical Data and Computer Software
 * clause at DFARS 252.227-7013 and/or in similar or successor
 * clauses in the FAR or the DOD or NASA FAR Supplement.
 * Unpublished-- rights reserved under the copyright laws of the
 * United States.  Contractor/manufacturer is Silicon Graphics,
 * Inc., 2011 N.  Shoreline Blvd., Mountain View, CA 94039-7311.
 *
 * OpenGL(TM) is a trademark of Silicon Graphics, Inc.
 *
 * $Id: d.java,v 1.2 1998/10/19 11:03:16 descarte Exp descarte $
 *
 * Magician conversion Copyright (c)1997-1998 Arcane Technologies Ltd. <http://www.arcana.co.uk>
 *
 * $Log: d.java,v $
 * Revision 1.2  1998/10/19 11:03:16  descarte
 * Made JDK-1.1 compliant by removing deprecated methods. Updated copyright.
 *
 * Revision 1.1  1997/08/24 20:38:48  descarte
 * Initial revision
 *
 *
 */

package com.hermetica.magician.demos.ideas;

import com.hermetica.magician.*;

public class d {

    static float[][] d_data = {
	    { 4.714579f, 9.987679f },
	    { 2.841889f, 9.429158f },
	    { 2.825462f, 9.166325f },
	    { 1.856263f, 8.722793f },
	    { 2.004107f, 8.000000f },
	    { 0.969199f, 7.605750f },
	    { 1.494866f, 6.636550f },
	    { 0.607803f, 6.028748f },
	    { 1.527721f, 4.960986f },
	    { 0.772074f, 4.254620f },
	    { 1.774127f, 4.139630f },
	    { 1.445585f, 3.186858f },
	    { 2.266940f, 3.843942f },
	    { 2.250513f, 3.022587f },
	    { 2.776181f, 3.843942f },
	    { 3.137577f, 3.383984f },
	    { 3.351129f, 4.008214f },
	    { 3.909651f, 4.451746f },
	    { 4.090349f, 4.960986f },
	    { 4.862423f, 5.946612f },
	    { 4.763860f, 6.652977f },
	    { 5.388090f, 7.572895f },
	    { 4.862423f, 8.492813f },
	    { 5.618070f, 9.921971f },
	    { 4.698152f, 10.940452f },
	    { 5.338809f, 12.303902f },
	    { 4.238193f, 12.960985f },
	    { 4.451746f, 14.554415f },
	    { 3.581109f, 14.291581f },
	    { 3.613963f, 15.342916f },
	    { 2.677618f, 15.145790f },
	    { 2.480493f, 15.540041f },
	    { 2.036961f, 15.211499f },
	    { 1.281314f, 15.112936f },
      };

    public static void draw( GL gl_ ) {

        gl_.glBegin( GL.GL_TRIANGLE_STRIP );
	        gl_.glVertex2fv( d_data[0] );
	        gl_.glVertex2fv( d_data[1] );
	        gl_.glVertex2fv( d_data[2] );
	        gl_.glVertex2fv( d_data[3] );
	        gl_.glVertex2fv( d_data[4] );
	        gl_.glVertex2fv( d_data[5] );
	        gl_.glVertex2fv( d_data[6] );
	        gl_.glVertex2fv( d_data[7] );
	        gl_.glVertex2fv( d_data[8] );
	        gl_.glVertex2fv( d_data[9] );
	        gl_.glVertex2fv( d_data[10] );
	        gl_.glVertex2fv( d_data[11] );
	        gl_.glVertex2fv( d_data[12] );
	        gl_.glVertex2fv( d_data[13] );
	        gl_.glVertex2fv( d_data[14] );
	        gl_.glVertex2fv( d_data[15] );
	        gl_.glVertex2fv( d_data[16] );
	        gl_.glVertex2fv( d_data[17] );
	        gl_.glVertex2fv( d_data[18] );
	        gl_.glVertex2fv( d_data[19] );
	        gl_.glVertex2fv( d_data[20] );
	        gl_.glVertex2fv( d_data[21] );
	        gl_.glVertex2fv( d_data[22] );
	        gl_.glVertex2fv( d_data[23] );
	        gl_.glVertex2fv( d_data[24] );
	        gl_.glVertex2fv( d_data[25] );
	        gl_.glVertex2fv( d_data[26] );
	        gl_.glVertex2fv( d_data[27] );
	        gl_.glVertex2fv( d_data[28] );
	        gl_.glVertex2fv( d_data[29] );
	        gl_.glVertex2fv( d_data[30] );
	        gl_.glVertex2fv( d_data[31] );
	        gl_.glVertex2fv( d_data[32] );
	        gl_.glVertex2fv( d_data[33] );
        gl_.glEnd();

        gl_.glBegin( GL.GL_LINE_STRIP );
	        gl_.glVertex2fv( d_data[0] );
	        gl_.glVertex2fv( d_data[2] );
	        gl_.glVertex2fv( d_data[4] );
	        gl_.glVertex2fv( d_data[6] );
	        gl_.glVertex2fv( d_data[8] );
	        gl_.glVertex2fv( d_data[10] );
	        gl_.glVertex2fv( d_data[12] );
	        gl_.glVertex2fv( d_data[14] );
	        gl_.glVertex2fv( d_data[16] );
	        gl_.glVertex2fv( d_data[18] );
	        gl_.glVertex2fv( d_data[20] );
	        gl_.glVertex2fv( d_data[22] );
	        gl_.glVertex2fv( d_data[24] );
	        gl_.glVertex2fv( d_data[26] );
	        gl_.glVertex2fv( d_data[28] );
	        gl_.glVertex2fv( d_data[30] );
	        gl_.glVertex2fv( d_data[32] );
	        gl_.glVertex2fv( d_data[33] );
	        gl_.glVertex2fv( d_data[31] );
	        gl_.glVertex2fv( d_data[29] );
	        gl_.glVertex2fv( d_data[27] );
	        gl_.glVertex2fv( d_data[25] );
	        gl_.glVertex2fv( d_data[23] );
	        gl_.glVertex2fv( d_data[21] );
	        gl_.glVertex2fv( d_data[19] );
	        gl_.glVertex2fv( d_data[17] );
	        gl_.glVertex2fv( d_data[15] );
	        gl_.glVertex2fv( d_data[13] );
	        gl_.glVertex2fv( d_data[11] );
	        gl_.glVertex2fv( d_data[9] );
	        gl_.glVertex2fv( d_data[7] );
	        gl_.glVertex2fv( d_data[5] );
	        gl_.glVertex2fv( d_data[3] );
	        gl_.glVertex2fv( d_data[1] );
        gl_.glEnd();
      }
  }

