/*
 * (c) Copyright 1993, Silicon Graphics, Inc.
 * ALL RIGHTS RESERVED 
 * Permission to use, copy, modify, and distribute this software for 
 * any purpose and without fee is hereby granted, provided that the above
 * copyright notice appear in all copies and that both the copyright notice
 * and this permission notice appear in supporting documentation, and that 
 * the name of Silicon Graphics, Inc. not be used in advertising
 * or publicity pertaining to distribution of the software without specific,
 * written prior permission. 
 *
 * THE MATERIAL EMBODIED ON THIS SOFTWARE IS PROVIDED TO YOU "AS-IS"
 * AND WITHOUT WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR OTHERWISE,
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY OR
 * FITNESS FOR A PARTICULAR PURPOSE.  IN NO EVENT SHALL SILICON
 * GRAPHICS, INC.  BE LIABLE TO YOU OR ANYONE ELSE FOR ANY DIRECT,
 * SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY
 * KIND, OR ANY DAMAGES WHATSOEVER, INCLUDING WITHOUT LIMITATION,
 * LOSS OF PROFIT, LOSS OF USE, SAVINGS OR REVENUE, OR THE CLAIMS OF
 * THIRD PARTIES, WHETHER OR NOT SILICON GRAPHICS, INC.  HAS BEEN
 * ADVISED OF THE POSSIBILITY OF SUCH LOSS, HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE
 * POSSESSION, USE OR PERFORMANCE OF THIS SOFTWARE.
 * 
 * US Government Users Restricted Rights 
 * Use, duplication, or disclosure by the Government is subject to
 * restrictions set forth in FAR 52.227.19(c)(2) or subparagraph
 * (c)(1)(ii) of the Rights in Technical Data and Computer Software
 * clause at DFARS 252.227-7013 and/or in similar or successor
 * clauses in the FAR or the DOD or NASA FAR Supplement.
 * Unpublished-- rights reserved under the copyright laws of the
 * United States.  Contractor/manufacturer is Silicon Graphics,
 * Inc., 2011 N.  Shoreline Blvd., Mountain View, CA 94039-7311.
 *
 * OpenGL(TM) is a trademark of Silicon Graphics, Inc.
 *
 * $Id: i.java,v 1.3 1998/10/19 11:03:18 descarte Exp descarte $
 *
 * Magician conversion Copyright (c)1997-1998 Arcane Technologies Ltd. <http://www.arcana.co.uk>
 *
 * $Log: i.java,v $
 * Revision 1.3  1998/10/19 11:03:18  descarte
 * Made JDK-1.1 compliant by removing deprecated methods. Updated copyright.
 *
 * Revision 1.2  1997/08/24 20:36:29  descarte
 * Added version log
 *
 */

package com.hermetica.magician.demos.ideas;

import com.hermetica.magician.*;

public class i {

    static float[][] i_data = {
	    { 0.548767f, 9.414791f },
    	{ 2.795284f, 9.757771f },
    	{ 1.457663f, 9.311897f },
    	{ 2.503751f, 9.157557f },
    	{ 1.714898f, 8.986067f },
    	{ 2.109325f, 7.785638f },
    	{ 1.286174f, 7.013934f },
    	{ 1.800643f, 6.070740f },
    	{ 0.994641f, 5.161843f },
    	{ 1.783494f, 4.767417f },
    	{ 0.943194f, 4.167202f },
    	{ 1.852090f, 4.304394f },
    	{ 1.063237f, 3.549839f },
	    { 2.023580f, 3.978564f },
	    { 1.406217f, 3.172562f },
	    { 2.315113f, 3.875670f },
	    { 2.006431f, 3.018221f },
	    { 2.812433f, 3.944266f },
	    { 2.726688f, 3.429796f },
	    { 3.258307f, 4.132905f },

	    { 1.989282f, 10.923902f },
	    { 2.778135f, 12.295820f },
	    { 2.966774f, 11.678456f },
	    { 3.687031f, 12.947481f },
      };

    public static void draw( GL gl_ ) {
        gl_.glBegin( GL.GL_TRIANGLE_STRIP );
            gl_.glVertex2fv( i_data[0] );
            gl_.glVertex2fv( i_data[1] );
            gl_.glVertex2fv( i_data[2] );
            gl_.glVertex2fv( i_data[3] );
            gl_.glVertex2fv( i_data[4] );
            gl_.glVertex2fv( i_data[5] );
            gl_.glVertex2fv( i_data[6] );
            gl_.glVertex2fv( i_data[7] );
            gl_.glVertex2fv( i_data[8] );
            gl_.glVertex2fv( i_data[9] );
            gl_.glVertex2fv( i_data[10] );
            gl_.glVertex2fv( i_data[11] );
            gl_.glVertex2fv( i_data[12] );
            gl_.glVertex2fv( i_data[13] );
            gl_.glVertex2fv( i_data[14] );
            gl_.glVertex2fv( i_data[15] );
            gl_.glVertex2fv( i_data[16] );
            gl_.glVertex2fv( i_data[17] );
            gl_.glVertex2fv( i_data[18] );
            gl_.glVertex2fv( i_data[19] );
        gl_.glEnd();

        gl_.glBegin( GL.GL_TRIANGLE_STRIP );
            gl_.glVertex2fv( i_data[20] );
            gl_.glVertex2fv( i_data[21] );
            gl_.glVertex2fv( i_data[22] );
            gl_.glVertex2fv( i_data[23] );
        gl_.glEnd();

        gl_.glBegin( GL.GL_LINE_STRIP );
            gl_.glVertex2fv( i_data[0] );
            gl_.glVertex2fv( i_data[2] );
            gl_.glVertex2fv( i_data[4] );
            gl_.glVertex2fv( i_data[6] );
            gl_.glVertex2fv( i_data[8] );
            gl_.glVertex2fv( i_data[10] );
            gl_.glVertex2fv( i_data[12] );
            gl_.glVertex2fv( i_data[14] );
            gl_.glVertex2fv( i_data[16] );
            gl_.glVertex2fv( i_data[18] );
            gl_.glVertex2fv( i_data[19] );
            gl_.glVertex2fv( i_data[17] );
            gl_.glVertex2fv( i_data[15] );
            gl_.glVertex2fv( i_data[13] );
            gl_.glVertex2fv( i_data[11] );
            gl_.glVertex2fv( i_data[9] );
            gl_.glVertex2fv( i_data[7] );
            gl_.glVertex2fv( i_data[5] );
            gl_.glVertex2fv( i_data[3] );
            gl_.glVertex2fv( i_data[1] );
        gl_.glEnd();

        gl_.glBegin( GL.GL_LINE_STRIP );
            gl_.glVertex2fv( i_data[20] );
            gl_.glVertex2fv( i_data[22] );
            gl_.glVertex2fv( i_data[23] );
            gl_.glVertex2fv( i_data[21] );
        gl_.glEnd();
      }
  }

