/*
 * (c) Copyright 1993, Silicon Graphics, Inc.
 * ALL RIGHTS RESERVED 
 * Permission to use, copy, modify, and distribute this software for 
 * any purpose and without fee is hereby granted, provided that the above
 * copyright notice appear in all copies and that both the copyright notice
 * and this permission notice appear in supporting documentation, and that 
 * the name of Silicon Graphics, Inc. not be used in advertising
 * or publicity pertaining to distribution of the software without specific,
 * written prior permission. 
 *
 * THE MATERIAL EMBODIED ON THIS SOFTWARE IS PROVIDED TO YOU "AS-IS"
 * AND WITHOUT WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR OTHERWISE,
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY OR
 * FITNESS FOR A PARTICULAR PURPOSE.  IN NO EVENT SHALL SILICON
 * GRAPHICS, INC.  BE LIABLE TO YOU OR ANYONE ELSE FOR ANY DIRECT,
 * SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY
 * KIND, OR ANY DAMAGES WHATSOEVER, INCLUDING WITHOUT LIMITATION,
 * LOSS OF PROFIT, LOSS OF USE, SAVINGS OR REVENUE, OR THE CLAIMS OF
 * THIRD PARTIES, WHETHER OR NOT SILICON GRAPHICS, INC.  HAS BEEN
 * ADVISED OF THE POSSIBILITY OF SUCH LOSS, HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE
 * POSSESSION, USE OR PERFORMANCE OF THIS SOFTWARE.
 * 
 * US Government Users Restricted Rights 
 * Use, duplication, or disclosure by the Government is subject to
 * restrictions set forth in FAR 52.227.19(c)(2) or subparagraph
 * (c)(1)(ii) of the Rights in Technical Data and Computer Software
 * clause at DFARS 252.227-7013 and/or in similar or successor
 * clauses in the FAR or the DOD or NASA FAR Supplement.
 * Unpublished-- rights reserved under the copyright laws of the
 * United States.  Contractor/manufacturer is Silicon Graphics,
 * Inc., 2011 N.  Shoreline Blvd., Mountain View, CA 94039-7311.
 *
 * OpenGL(TM) is a trademark of Silicon Graphics, Inc.
 *
 * $Id: n.java,v 1.2 1998/10/19 11:03:20 descarte Exp descarte $
 *
 * Magician conversion Copyright (c)1997-1998 Arcane Technologies Ltd. <http://www.arcana.co.uk>
 *
 * $Log: n.java,v $
 * Revision 1.2  1998/10/19 11:03:20  descarte
 * Made JDK-1.1 compliant by removing deprecated methods. Updated copyright.
 *
 * Revision 1.1  1997/08/24 20:50:00  descarte
 * Initial revision
 *
 */

package com.hermetica.magician.demos.ideas;

import com.hermetica.magician.*;

public class n {

    static float[][] n_data = {
        { 1.009307f, 9.444788f },
        { 2.548087f, 9.742002f },
        { 1.737332f, 9.213622f },
        { 2.994829f, 9.659443f },
        { 1.985522f, 8.751290f },
        { 3.127198f, 9.180598f },
        { 1.935884f, 7.975232f },
        { 2.481903f, 6.571723f },
        { 1.472596f, 5.019608f },
        { 1.439504f, 2.988648f },
        { 1.025853f, 2.988648f },

        { 2.283350f, 6.059855f },
        { 2.035160f, 5.366357f },
        { 3.292658f, 7.711042f },
        { 3.540848f, 7.744066f },
        { 4.384695f, 9.031992f },
        { 4.699069f, 8.916409f },
        { 5.609100f, 9.808049f },
        { 5.145812f, 8.982456f },
        { 6.155119f, 9.791537f },
        { 5.410548f, 8.635707f },
        { 6.337125f, 9.312694f },
        { 5.360910f, 7.991744f },
        { 6.088935f, 8.090816f },
        { 4.947259f, 5.977296f },
        { 5.261634f, 4.804954f },
        { 4.616339f, 4.028896f },
        { 5.211996f, 3.962848f },
        { 4.732162f, 3.318886f },
        { 5.559462f, 3.814241f },
        { 5.228542f, 3.038184f },
        { 5.940021f, 3.814241f },
        { 5.906929f, 3.335397f },
        { 6.684591f, 4.094943f },
      };

    public static void draw( GL gl_ ) {
        gl_.glBegin( GL.GL_TRIANGLE_STRIP );
            gl_.glVertex2fv( n_data[0] );
            gl_.glVertex2fv( n_data[1] );
            gl_.glVertex2fv( n_data[2] );
            gl_.glVertex2fv( n_data[3] );
            gl_.glVertex2fv( n_data[4] );
            gl_.glVertex2fv( n_data[5] );
            gl_.glVertex2fv( n_data[6] );
            gl_.glVertex2fv( n_data[7] );
            gl_.glVertex2fv( n_data[8] );
            gl_.glVertex2fv( n_data[9] );
            gl_.glVertex2fv( n_data[10] );
        gl_.glEnd();

        gl_.glBegin( GL.GL_TRIANGLE_STRIP );
            gl_.glVertex2fv( n_data[11] );
            gl_.glVertex2fv( n_data[12] );
            gl_.glVertex2fv( n_data[13] );
            gl_.glVertex2fv( n_data[14] );
            gl_.glVertex2fv( n_data[15] );
            gl_.glVertex2fv( n_data[16] );
            gl_.glVertex2fv( n_data[17] );
            gl_.glVertex2fv( n_data[18] );
            gl_.glVertex2fv( n_data[19] );
            gl_.glVertex2fv( n_data[20] );
            gl_.glVertex2fv( n_data[21] );
            gl_.glVertex2fv( n_data[22] );
            gl_.glVertex2fv( n_data[23] );
            gl_.glVertex2fv( n_data[24] );
            gl_.glVertex2fv( n_data[25] );
            gl_.glVertex2fv( n_data[26] );
            gl_.glVertex2fv( n_data[27] );
            gl_.glVertex2fv( n_data[28] );
            gl_.glVertex2fv( n_data[29] );
            gl_.glVertex2fv( n_data[30] );
            gl_.glVertex2fv( n_data[31] );
            gl_.glVertex2fv( n_data[32] );
            gl_.glVertex2fv( n_data[33] );
        gl_.glEnd();

        gl_.glBegin( GL.GL_LINE_STRIP );
            gl_.glVertex2fv( n_data[0] );
            gl_.glVertex2fv( n_data[2] );
            gl_.glVertex2fv( n_data[4] );
            gl_.glVertex2fv( n_data[6] );
            gl_.glVertex2fv( n_data[8] );
            gl_.glVertex2fv( n_data[10] );
            gl_.glVertex2fv( n_data[9] );
            gl_.glVertex2fv( n_data[7] );
            gl_.glVertex2fv( n_data[5] );
            gl_.glVertex2fv( n_data[3] );
            gl_.glVertex2fv( n_data[1] );
        gl_.glEnd();
            
        gl_.glBegin( GL.GL_LINE_STRIP );
            gl_.glVertex2fv( n_data[12] );
            gl_.glVertex2fv( n_data[14] );
            gl_.glVertex2fv( n_data[16] );
            gl_.glVertex2fv( n_data[18] );
            gl_.glVertex2fv( n_data[20] );
            gl_.glVertex2fv( n_data[22] );
            gl_.glVertex2fv( n_data[24] );
            gl_.glVertex2fv( n_data[26] );
            gl_.glVertex2fv( n_data[28] );
            gl_.glVertex2fv( n_data[30] );
            gl_.glVertex2fv( n_data[32] );
            gl_.glVertex2fv( n_data[33] );
            gl_.glVertex2fv( n_data[31] );
            gl_.glVertex2fv( n_data[29] );
            gl_.glVertex2fv( n_data[27] );
            gl_.glVertex2fv( n_data[25] );
            gl_.glVertex2fv( n_data[23] );
            gl_.glVertex2fv( n_data[21] );
            gl_.glVertex2fv( n_data[19] );
            gl_.glVertex2fv( n_data[17] );
            gl_.glVertex2fv( n_data[15] );
            gl_.glVertex2fv( n_data[13] );
            gl_.glVertex2fv( n_data[11] );
        gl_.glEnd();
      }
  }
