/*
 * (c) Copyright 1993, Silicon Graphics, Inc.
 * ALL RIGHTS RESERVED 
 * Permission to use, copy, modify, and distribute this software for 
 * any purpose and without fee is hereby granted, provided that the above
 * copyright notice appear in all copies and that both the copyright notice
 * and this permission notice appear in supporting documentation, and that 
 * the name of Silicon Graphics, Inc. not be used in advertising
 * or publicity pertaining to distribution of the software without specific,
 * written prior permission. 
 *
 * THE MATERIAL EMBODIED ON THIS SOFTWARE IS PROVIDED TO YOU "AS-IS"
 * AND WITHOUT WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR OTHERWISE,
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY OR
 * FITNESS FOR A PARTICULAR PURPOSE.  IN NO EVENT SHALL SILICON
 * GRAPHICS, INC.  BE LIABLE TO YOU OR ANYONE ELSE FOR ANY DIRECT,
 * SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY
 * KIND, OR ANY DAMAGES WHATSOEVER, INCLUDING WITHOUT LIMITATION,
 * LOSS OF PROFIT, LOSS OF USE, SAVINGS OR REVENUE, OR THE CLAIMS OF
 * THIRD PARTIES, WHETHER OR NOT SILICON GRAPHICS, INC.  HAS BEEN
 * ADVISED OF THE POSSIBILITY OF SUCH LOSS, HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE
 * POSSESSION, USE OR PERFORMANCE OF THIS SOFTWARE.
 * 
 * US Government Users Restricted Rights 
 * Use, duplication, or disclosure by the Government is subject to
 * restrictions set forth in FAR 52.227.19(c)(2) or subparagraph
 * (c)(1)(ii) of the Rights in Technical Data and Computer Software
 * clause at DFARS 252.227-7013 and/or in similar or successor
 * clauses in the FAR or the DOD or NASA FAR Supplement.
 * Unpublished-- rights reserved under the copyright laws of the
 * United States.  Contractor/manufacturer is Silicon Graphics,
 * Inc., 2011 N.  Shoreline Blvd., Mountain View, CA 94039-7311.
 *
 * OpenGL(TM) is a trademark of Silicon Graphics, Inc.
 *
 * $Id: o.java,v 1.2 1998/10/19 11:03:21 descarte Exp descarte $
 *
 * Magician conversion Copyright (c)1997-1998 Arcane Technologies Ltd. <http://www.arcana.co.uk>
 *
 * $Log: o.java,v $
 * Revision 1.2  1998/10/19 11:03:21  descarte
 * Made JDK-1.1 compliant by removing deprecated methods. Updated copyright.
 *
 * Revision 1.1  1997/08/24 20:54:35  descarte
 * Initial revision
 *
 */

package com.hermetica.magician.demos.ideas;

import com.hermetica.magician.*;

public class o {

    private static float[][] o_data = {
        { 2.975610f, 9.603255f },
        { 2.878049f, 9.342828f },
        { 2.292683f, 9.131231f },
        { 2.048780f, 8.691760f },
        { 1.707317f, 8.528993f },
        { 1.658537f, 7.731434f },
        { 0.878049f, 7.047813f },
        { 1.349594f, 5.550356f },
        { 0.569106f, 5.029501f },
        { 1.528455f, 4.443540f },
        { 0.991870f, 3.434385f },
        { 1.967480f, 3.955239f },
        { 1.772358f, 2.994914f },
        { 2.422764f, 3.825025f },
        { 2.829268f, 3.092574f },
        { 3.154472f, 3.971516f },
        { 3.512195f, 3.727365f },
        { 3.772358f, 4.264496f },
        { 4.130081f, 4.524924f },
        { 4.162601f, 4.996948f },
        { 4.699187f, 5.403866f },
        { 4.471545f, 6.461852f },
        { 5.219512f, 7.243133f },
        { 4.439024f, 8.105799f },
        { 5.235772f, 8.756866f },
        { 4.065041f, 8.870804f },
        { 4.991870f, 9.391658f },
        { 3.853658f, 9.228891f },
        { 4.390244f, 9.912513f },
        { 3.463415f, 9.407935f },
        { 3.674797f, 9.912513f },
        { 2.829268f, 9.342828f },
        { 2.959350f, 9.603255f },
      };

    public static void draw( GL gl_ ) {
        gl_.glBegin( GL.GL_TRIANGLE_STRIP );
            gl_.glVertex2fv( o_data[0] );
            gl_.glVertex2fv( o_data[1] );
            gl_.glVertex2fv( o_data[2] );
            gl_.glVertex2fv( o_data[3] );
            gl_.glVertex2fv( o_data[4] );
            gl_.glVertex2fv( o_data[5] );
            gl_.glVertex2fv( o_data[6] );
            gl_.glVertex2fv( o_data[7] );
            gl_.glVertex2fv( o_data[8] );
            gl_.glVertex2fv( o_data[9] );
            gl_.glVertex2fv( o_data[10] );
            gl_.glVertex2fv( o_data[11] );
            gl_.glVertex2fv( o_data[12] );
            gl_.glVertex2fv( o_data[13] );
            gl_.glVertex2fv( o_data[14] );
            gl_.glVertex2fv( o_data[15] );
            gl_.glVertex2fv( o_data[16] );
            gl_.glVertex2fv( o_data[17] );
            gl_.glVertex2fv( o_data[18] );
            gl_.glVertex2fv( o_data[19] );
            gl_.glVertex2fv( o_data[20] );
            gl_.glVertex2fv( o_data[21] );
            gl_.glVertex2fv( o_data[22] );
            gl_.glVertex2fv( o_data[23] );
            gl_.glVertex2fv( o_data[24] );
            gl_.glVertex2fv( o_data[25] );
            gl_.glVertex2fv( o_data[26] );
            gl_.glVertex2fv( o_data[27] );
            gl_.glVertex2fv( o_data[28] );
            gl_.glVertex2fv( o_data[29] );
            gl_.glVertex2fv( o_data[30] );
            gl_.glVertex2fv( o_data[31] );
            gl_.glVertex2fv( o_data[32] );
        gl_.glEnd();
            
        gl_.glBegin( GL.GL_LINE_STRIP );
            gl_.glVertex2fv( o_data[0] );
            gl_.glVertex2fv( o_data[2] );
            gl_.glVertex2fv( o_data[4] );
            gl_.glVertex2fv( o_data[6] );
            gl_.glVertex2fv( o_data[8] );
            gl_.glVertex2fv( o_data[10] );
            gl_.glVertex2fv(  o_data[12] );
            gl_.glVertex2fv( o_data[14] );
            gl_.glVertex2fv( o_data[16] );
            gl_.glVertex2fv( o_data[18] );
            gl_.glVertex2fv( o_data[20] );
            gl_.glVertex2fv( o_data[22] );
            gl_.glVertex2fv( o_data[24] );
            gl_.glVertex2fv( o_data[26] );
            gl_.glVertex2fv( o_data[28] );
            gl_.glVertex2fv( o_data[30] );
            gl_.glVertex2fv( o_data[32] );
            gl_.glVertex2fv( o_data[31] );
            gl_.glVertex2fv( o_data[29] );
            gl_.glVertex2fv( o_data[27] );
            gl_.glVertex2fv( o_data[25] );
            gl_.glVertex2fv( o_data[23] );
            gl_.glVertex2fv( o_data[21] );
            gl_.glVertex2fv( o_data[19] );
            gl_.glVertex2fv( o_data[17] );
            gl_.glVertex2fv( o_data[15] );
            gl_.glVertex2fv( o_data[13] );
            gl_.glVertex2fv( o_data[11] );
            gl_.glVertex2fv( o_data[9] );
            gl_.glVertex2fv( o_data[7] );
            gl_.glVertex2fv( o_data[5] );
            gl_.glVertex2fv( o_data[3] );
            gl_.glVertex2fv( o_data[1] );
        gl_.glEnd();
      }
  }
