/*
 * (c) Copyright 1993, Silicon Graphics, Inc.
 * ALL RIGHTS RESERVED 
 * Permission to use, copy, modify, and distribute this software for 
 * any purpose and without fee is hereby granted, provided that the above
 * copyright notice appear in all copies and that both the copyright notice
 * and this permission notice appear in supporting documentation, and that 
 * the name of Silicon Graphics, Inc. not be used in advertising
 * or publicity pertaining to distribution of the software without specific,
 * written prior permission. 
 *
 * THE MATERIAL EMBODIED ON THIS SOFTWARE IS PROVIDED TO YOU "AS-IS"
 * AND WITHOUT WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR OTHERWISE,
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY OR
 * FITNESS FOR A PARTICULAR PURPOSE.  IN NO EVENT SHALL SILICON
 * GRAPHICS, INC.  BE LIABLE TO YOU OR ANYONE ELSE FOR ANY DIRECT,
 * SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY
 * KIND, OR ANY DAMAGES WHATSOEVER, INCLUDING WITHOUT LIMITATION,
 * LOSS OF PROFIT, LOSS OF USE, SAVINGS OR REVENUE, OR THE CLAIMS OF
 * THIRD PARTIES, WHETHER OR NOT SILICON GRAPHICS, INC.  HAS BEEN
 * ADVISED OF THE POSSIBILITY OF SUCH LOSS, HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE
 * POSSESSION, USE OR PERFORMANCE OF THIS SOFTWARE.
 * 
 * US Government Users Restricted Rights 
 * Use, duplication, or disclosure by the Government is subject to
 * restrictions set forth in FAR 52.227.19(c)(2) or subparagraph
 * (c)(1)(ii) of the Rights in Technical Data and Computer Software
 * clause at DFARS 252.227-7013 and/or in similar or successor
 * clauses in the FAR or the DOD or NASA FAR Supplement.
 * Unpublished-- rights reserved under the copyright laws of the
 * United States.  Contractor/manufacturer is Silicon Graphics,
 * Inc., 2011 N.  Shoreline Blvd., Mountain View, CA 94039-7311.
 *
 * OpenGL(TM) is a trademark of Silicon Graphics, Inc.
 *
 * $Id: s.java,v 1.2 1998/10/19 11:03:22 descarte Exp descarte $
 *
 * Magician conversion Copyright (c)1997-1998 Arcane Technologies Ltd. <http://www.arcana.co.uk>
 *
 * $Log: s.java,v $
 * Revision 1.2  1998/10/19 11:03:22  descarte
 * Made JDK-1.1 compliant by removing deprecated methods. Updated copyright.
 *
 * Revision 1.1  1997/08/24 20:46:48  descarte
 * Initial revision
 *
 */

package com.hermetica.magician.demos.ideas;

import com.hermetica.magician.*;

public class s {

    static float[][] s_data = {
        { 0.860393f, 5.283798f },
        { 0.529473f, 3.550052f },
        { 0.992761f, 4.491228f },
        { 0.910031f, 3.368421f },
        { 1.240951f, 3.830753f },
        { 1.456050f, 3.104231f },
        { 1.935884f, 3.517028f },
        { 2.002068f, 2.988648f },
        { 2.763185f, 3.533540f },
        { 3.061013f, 3.120743f },
        { 3.391934f, 3.748194f },
        { 4.053774f, 3.632611f },
        { 3.822130f, 4.540764f },
        { 4.550155f, 4.590299f },
        { 3.656670f, 5.465428f },
        { 4.517063f, 5.713106f },
        { 3.276112f, 5.894737f },
        { 3.921407f, 6.538700f },
        { 2.299896f, 6.736842f },
        { 3.044467f, 7.430341f },
        { 1.886246f, 7.496388f },
        { 2.581179f, 8.222910f },
        { 1.902792f, 8.751290f },
        { 2.680455f, 8.883385f },
        { 2.283350f, 9.312694f },
        { 3.358842f, 9.609907f },
        { 3.507756f, 9.907121f },
        { 4.285419f, 9.758514f },
        { 5.112720f, 9.973168f },
        { 4.748707f, 9.593395f },
      };

    public static void draw( GL gl_ ) {

        gl_.glBegin( GL.GL_TRIANGLE_STRIP );
            gl_.glVertex2fv( s_data[0] );
            gl_.glVertex2fv( s_data[1] );
            gl_.glVertex2fv( s_data[2] );
            gl_.glVertex2fv( s_data[3] );
            gl_.glVertex2fv( s_data[4] );
            gl_.glVertex2fv( s_data[5] );
            gl_.glVertex2fv( s_data[6] );
            gl_.glVertex2fv( s_data[7] );
            gl_.glVertex2fv( s_data[8] );
            gl_.glVertex2fv( s_data[9] );
            gl_.glVertex2fv( s_data[10] );
            gl_.glVertex2fv( s_data[11] );
            gl_.glVertex2fv( s_data[12] );
            gl_.glVertex2fv( s_data[13] );
            gl_.glVertex2fv( s_data[14] );
            gl_.glVertex2fv( s_data[15] );
            gl_.glVertex2fv( s_data[16] );
            gl_.glVertex2fv( s_data[17] );
            gl_.glVertex2fv( s_data[18] );
            gl_.glVertex2fv( s_data[19] );
            gl_.glVertex2fv( s_data[20] );
            gl_.glVertex2fv( s_data[21] );
            gl_.glVertex2fv( s_data[22] );
            gl_.glVertex2fv( s_data[23] );
            gl_.glVertex2fv( s_data[24] );
            gl_.glVertex2fv( s_data[25] );
            gl_.glVertex2fv( s_data[26] );
            gl_.glVertex2fv( s_data[27] );
            gl_.glVertex2fv( s_data[28] );
            gl_.glVertex2fv( s_data[29] );
        gl_.glEnd();
            
        gl_.glBegin( GL.GL_LINE_STRIP );
            gl_.glVertex2fv( s_data[0] );
            gl_.glVertex2fv( s_data[2] );
            gl_.glVertex2fv( s_data[4] );
            gl_.glVertex2fv( s_data[6] );
            gl_.glVertex2fv( s_data[8] );
            gl_.glVertex2fv( s_data[10] );
            gl_.glVertex2fv( s_data[12] );
            gl_.glVertex2fv( s_data[14] );
            gl_.glVertex2fv( s_data[16] );
            gl_.glVertex2fv( s_data[18] );
            gl_.glVertex2fv( s_data[20] );
            gl_.glVertex2fv( s_data[22] );
            gl_.glVertex2fv( s_data[24] );
            gl_.glVertex2fv( s_data[26] );
            gl_.glVertex2fv( s_data[28] );
            gl_.glVertex2fv( s_data[29] );
            gl_.glVertex2fv( s_data[27] );
            gl_.glVertex2fv( s_data[25] );
            gl_.glVertex2fv( s_data[23] );
            gl_.glVertex2fv( s_data[21] );
            gl_.glVertex2fv( s_data[19] );
            gl_.glVertex2fv( s_data[17] );
            gl_.glVertex2fv( s_data[15] );
            gl_.glVertex2fv( s_data[13] );
            gl_.glVertex2fv( s_data[11] );
            gl_.glVertex2fv( s_data[9] );
            gl_.glVertex2fv( s_data[7] );
            gl_.glVertex2fv( s_data[5] );
            gl_.glVertex2fv( s_data[3] );
            gl_.glVertex2fv( s_data[1] );
        gl_.glEnd();
      }
  }
