/*
 * (c) Copyright 1993, Silicon Graphics, Inc.
 * ALL RIGHTS RESERVED 
 * Permission to use, copy, modify, and distribute this software for 
 * any purpose and without fee is hereby granted, provided that the above
 * copyright notice appear in all copies and that both the copyright notice
 * and this permission notice appear in supporting documentation, and that 
 * the name of Silicon Graphics, Inc. not be used in advertising
 * or publicity pertaining to distribution of the software without specific,
 * written prior permission. 
 *
 * THE MATERIAL EMBODIED ON THIS SOFTWARE IS PROVIDED TO YOU "AS-IS"
 * AND WITHOUT WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR OTHERWISE,
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY OR
 * FITNESS FOR A PARTICULAR PURPOSE.  IN NO EVENT SHALL SILICON
 * GRAPHICS, INC.  BE LIABLE TO YOU OR ANYONE ELSE FOR ANY DIRECT,
 * SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY
 * KIND, OR ANY DAMAGES WHATSOEVER, INCLUDING WITHOUT LIMITATION,
 * LOSS OF PROFIT, LOSS OF USE, SAVINGS OR REVENUE, OR THE CLAIMS OF
 * THIRD PARTIES, WHETHER OR NOT SILICON GRAPHICS, INC.  HAS BEEN
 * ADVISED OF THE POSSIBILITY OF SUCH LOSS, HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE
 * POSSESSION, USE OR PERFORMANCE OF THIS SOFTWARE.
 * 
 * US Government Users Restricted Rights 
 * Use, duplication, or disclosure by the Government is subject to
 * restrictions set forth in FAR 52.227.19(c)(2) or subparagraph
 * (c)(1)(ii) of the Rights in Technical Data and Computer Software
 * clause at DFARS 252.227-7013 and/or in similar or successor
 * clauses in the FAR or the DOD or NASA FAR Supplement.
 * Unpublished-- rights reserved under the copyright laws of the
 * United States.  Contractor/manufacturer is Silicon Graphics,
 * Inc., 2011 N.  Shoreline Blvd., Mountain View, CA 94039-7311.
 *
 * OpenGL(TM) is a trademark of Silicon Graphics, Inc.
 *
 * $Id: t.java,v 1.2 1998/10/19 11:03:23 descarte Exp descarte $
 *
 * Magician conversion Copyright (c)1997-1998 Arcane Technologies Ltd. <http://www.arcana.co.uk>
 *
 * $Log: t.java,v $
 * Revision 1.2  1998/10/19 11:03:23  descarte
 * Made JDK-1.1 compliant by removing deprecated methods. Updated copyright.
 *
 * Revision 1.1  1997/08/24 20:56:56  descarte
 * Initial revision
 *
 */

package com.hermetica.magician.demos.ideas;

import com.hermetica.magician.*;

public class t {

    private static float[][] t_data = {
        { 2.986667f, 14.034801f },
        { 2.445128f, 10.088024f },
        { 1.788718f, 9.236438f },
        { 2.264615f, 7.664279f },
        { 1.165128f, 5.666326f },
        { 2.034872f, 4.945752f },
        { 1.132308f, 3.766633f },
        { 2.182564f, 3.570113f },
        { 1.411282f, 2.309109f },
        { 2.510769f, 2.341863f },
        { 2.149744f, 1.048106f },
        { 3.364103f, 1.375640f },
        { 3.167180f, 0.327533f },
        { 4.381538f, 0.736950f },
        { 5.005128f, 0.032753f },
        { 5.612308f, 0.638690f },
        { 6.235898f, 0.540430f },
        { 7.187692f, 1.162743f },

        { 1.985641f, 9.039918f },
        { 2.133333f, 10.186285f },
        { 1.509744f, 9.023541f },
        { 1.608205f, 9.662231f },
        { 1.050256f, 9.023541f },
        { 1.050256f, 9.334698f },
        { 0.196923f, 9.007165f },

        { 2.363077f, 9.711361f },
        { 2.264615f, 9.023541f },
        { 3.282051f, 9.563972f },
        { 3.446154f, 9.023541f },
        { 4.069744f, 9.531218f },
        { 4.299487f, 9.236438f },
        { 4.644103f, 9.613101f },
        { 5.251282f, 9.875128f },
      };

    public static void draw( GL gl_ ) {
        gl_.glBegin( GL.GL_TRIANGLE_STRIP );
            gl_.glVertex2fv( t_data[0] );
            gl_.glVertex2fv( t_data[1] );
            gl_.glVertex2fv( t_data[2] );
            gl_.glVertex2fv( t_data[3] );
            gl_.glVertex2fv( t_data[4] );
            gl_.glVertex2fv( t_data[5] );
            gl_.glVertex2fv( t_data[6] );
            gl_.glVertex2fv( t_data[7] );
            gl_.glVertex2fv( t_data[8] );
            gl_.glVertex2fv( t_data[9] );
            gl_.glVertex2fv( t_data[10] );
            gl_.glVertex2fv( t_data[11] );
            gl_.glVertex2fv( t_data[12]);
            gl_.glVertex2fv( t_data[13] );
            gl_.glVertex2fv( t_data[14] );
            gl_.glVertex2fv( t_data[15] );
            gl_.glVertex2fv( t_data[16] );
            gl_.glVertex2fv( t_data[17] );
        gl_.glEnd();

        gl_.glBegin( GL.GL_TRIANGLE_STRIP );
            gl_.glVertex2fv( t_data[18] );
            gl_.glVertex2fv( t_data[19] );
            gl_.glVertex2fv( t_data[20] );
            gl_.glVertex2fv( t_data[21] );
            gl_.glVertex2fv( t_data[22] );
            gl_.glVertex2fv( t_data[23] );
            gl_.glVertex2fv( t_data[24] );
        gl_.glEnd();

        gl_.glBegin( GL.GL_TRIANGLE_STRIP );
            gl_.glVertex2fv( t_data[25] );
            gl_.glVertex2fv( t_data[26] );
            gl_.glVertex2fv( t_data[27] );
            gl_.glVertex2fv( t_data[28] );
            gl_.glVertex2fv( t_data[29] );
            gl_.glVertex2fv( t_data[30] );
            gl_.glVertex2fv( t_data[31] );
            gl_.glVertex2fv( t_data[32] );
        gl_.glEnd();

        gl_.glBegin( GL.GL_LINE_STRIP );
            gl_.glVertex2fv( t_data[0] );
            gl_.glVertex2fv( t_data[2] );
            gl_.glVertex2fv( t_data[4] );
            gl_.glVertex2fv( t_data[6] );
            gl_.glVertex2fv( t_data[8] );
            gl_.glVertex2fv( t_data[10] );
            gl_.glVertex2fv( t_data[12] );
            gl_.glVertex2fv( t_data[14] );
            gl_.glVertex2fv( t_data[16] );
            gl_.glVertex2fv( t_data[17] );
            gl_.glVertex2fv( t_data[15] );
            gl_.glVertex2fv( t_data[13] );
            gl_.glVertex2fv( t_data[11] );
            gl_.glVertex2fv( t_data[9] );
            gl_.glVertex2fv( t_data[7] );
            gl_.glVertex2fv( t_data[5] );
            gl_.glVertex2fv( t_data[3] );
            gl_.glVertex2fv( t_data[1] );
        gl_.glEnd();

        gl_.glBegin( GL.GL_LINE_STRIP );
            gl_.glVertex2fv( t_data[18] );
            gl_.glVertex2fv( t_data[20] );
            gl_.glVertex2fv( t_data[22] );
            gl_.glVertex2fv( t_data[24] );
            gl_.glVertex2fv( t_data[23] );
            gl_.glVertex2fv( t_data[21] );
            gl_.glVertex2fv( t_data[19] );
        gl_.glEnd();

        gl_.glBegin( GL.GL_LINE_STRIP );
            gl_.glVertex2fv( t_data[26] );
            gl_.glVertex2fv( t_data[28] );
            gl_.glVertex2fv( t_data[30] );
            gl_.glVertex2fv( t_data[32] );
            gl_.glVertex2fv( t_data[31] );
            gl_.glVertex2fv( t_data[29] );
            gl_.glVertex2fv( t_data[27] );
            gl_.glVertex2fv( t_data[25] );
        gl_.glEnd();
      }
  }
