/**
 * $Id: contour.java,v 1.2 1998/10/19 10:54:02 descarte Exp descarte $
 *
 * Copyright (c)1997-1998 Arcane Technologies Ltd. <http://www.arcana.co.uk>
 *
 * A contour definition for the ``tessdemo'' demo
 *
 * $Log: contour.java,v $
 * Revision 1.2  1998/10/19 10:54:02  descarte
 * Made JDK-1.1 compliant by removing deprecated methods. Updated copyright.
 *
 * Revision 1.1  1998/03/30 12:19:16  descarte
 * Initial revision
 *
 */

package com.hermetica.magician.demos.glut;

import java.applet.*;
import java.awt.*;
import java.awt.event.*;
import com.hermetica.magician.*;
import com.hermetica.magician.fonts.*;
import com.hermetica.util3d.*;

/** 
 * Simple class containing an array of points and a counter of the number 
 * of points in the array
 */
public class contour {

    /** The maximum number of points a contour can have */
    public static final int MAX_POINTS = 200;

    /** Array of points */
    public int[][] p = new int[MAX_POINTS][2];

    /** Current number of points */
    public int pointCount = 0;
  }
