/**
 * $Id: dinoballTesselator.java,v 1.3 1998/10/19 10:54:04 descarte Exp descarte $
 *
 * Copyright (c)1997-1998 Arcane Technologies Ltd. <http://www.arcana.co.uk>
 *
 * Tesselator class used by the ``dinoball'' demo.
 *
 * $Log: dinoballTesselator.java,v $
 * Revision 1.3  1998/10/19 10:54:04  descarte
 * Made JDK-1.1 compliant by removing deprecated methods. Updated copyright.
 *
 * Revision 1.2  1998/05/14 15:17:01  descarte
 * Removed GLComponent-based constructor.
 *
 * Revision 1.1  1998/03/30 12:10:41  descarte
 * Initial revision
 *
 */

package com.hermetica.magician.demos.glut;

import java.applet.*;
import java.awt.*;
import java.awt.event.*;
import com.hermetica.magician.*;
import com.hermetica.util3d.*;

public class dinoballTesselator extends GLUTesselator {

    /** OpenGL pipeline */
    CoreGL coregl_ = new CoreGL();

    /** Begins tesselation of a polygon */
    public void begin( int mode ) {
        coregl_.glBegin( mode );
      }

    /** Ends tesselation of a polygon */
    public void end() {
        coregl_.glEnd();
      }

    /** Handles a single vertex from the tesselator */
    public void vertex( float[] vertex ) {
        coregl_.glVertex2fv( vertex );
      }

    /** Handles edge flag setting */
    public void edgeFlag( boolean edgeFlag ) {
        coregl_.glEdgeFlag( ( edgeFlag ) ? (byte)GL.GL_TRUE : (byte)GL.GL_FALSE );
      }
  }
