/*
 * (c) Copyright 1993, Silicon Graphics, Inc.
 * ALL RIGHTS RESERVED 
 * Permission to use, copy, modify, and distribute this software for 
 * any purpose and without fee is hereby granted, provided that the above
 * copyright notice appear in all copies and that both the copyright notice
 * and this permission notice appear in supporting documentation, and that 
 * the name of Silicon Graphics, Inc. not be used in advertising
 * or publicity pertaining to distribution of the software without specific,
 * written prior permission. 
 *
 * THE MATERIAL EMBODIED ON THIS SOFTWARE IS PROVIDED TO YOU "AS-IS"
 * AND WITHOUT WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR OTHERWISE,
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY OR
 * FITNESS FOR A PARTICULAR PURPOSE.  IN NO EVENT SHALL SILICON
 * GRAPHICS, INC.  BE LIABLE TO YOU OR ANYONE ELSE FOR ANY DIRECT,
 * SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY
 * KIND, OR ANY DAMAGES WHATSOEVER, INCLUDING WITHOUT LIMITATION,
 * LOSS OF PROFIT, LOSS OF USE, SAVINGS OR REVENUE, OR THE CLAIMS OF
 * THIRD PARTIES, WHETHER OR NOT SILICON GRAPHICS, INC.  HAS BEEN
 * ADVISED OF THE POSSIBILITY OF SUCH LOSS, HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE
 * POSSESSION, USE OR PERFORMANCE OF THIS SOFTWARE.
 * 
 * US Government Users Restricted Rights 
 * Use, duplication, or disclosure by the Government is subject to
 * restrictions set forth in FAR 52.227.19(c)(2) or subparagraph
 * (c)(1)(ii) of the Rights in Technical Data and Computer Software
 * clause at DFARS 252.227-7013 and/or in similar or successor
 * clauses in the FAR or the DOD or NASA FAR Supplement.
 * Unpublished-- rights reserved under the copyright laws of the
 * United States.  Contractor/manufacturer is Silicon Graphics,
 * Inc., 2011 N.  Shoreline Blvd., Mountain View, CA 94039-7311.
 *
 * OpenGL(TM) is a trademark of Silicon Graphics, Inc.
 *
 * $Id: e.java,v 1.2 1998/10/19 11:03:17 descarte Exp descarte $
 *
 * Magician conversion Copyright (c)1997-1998 Arcane Technologies Ltd. <http://www.arcana.co.uk>
 *
 * $Log: e.java,v $
 * Revision 1.2  1998/10/19 11:03:17  descarte
 * Made JDK-1.1 compliant by removing deprecated methods. Updated copyright.
 *
 * Revision 1.1  1997/08/24 20:42:26  descarte
 * Initial revision
 *
 */

package com.hermetica.magician.demos.ideas;

import com.hermetica.magician.*;

public class e {

    static float[][] e_data = {
	    { 1.095436f, 6.190871f },
	    { 2.107884f, 6.970954f },
	    { 2.556017f, 7.020747f },
	    { 3.020747f, 7.867220f },
	    { 3.518672f, 8.033195f },
	    { 3.269710f, 8.531120f },
	    { 4.165975f, 8.929461f },
	    { 3.302905f, 9.062241f },
	    { 4.331950f, 9.626556f },
	    { 3.286307f, 9.344398f },
	    { 4.116183f, 9.958507f },
	    { 3.004149f, 9.510373f },
	    { 3.518672f, 9.991701f },
	    { 2.705394f, 9.493776f },
	    { 2.091286f, 9.311203f },
	    { 2.041494f, 9.062241f },
	    { 1.178423f, 8.514523f },
	    { 1.443983f, 8.165976f },
	    { 0.481328f, 7.535270f },
	    { 1.045643f, 6.904564f },
	    { 0.149378f, 6.091286f },
	    { 1.095436f, 5.410789f },
	    { 0.464730f, 4.232365f },
	    { 1.377593f, 4.497925f },
	    { 1.261411f, 3.136930f },
	    { 1.925311f, 3.950207f },
	    { 2.240664f, 3.037344f },
	    { 2.589212f, 3.834025f },
	    { 3.087137f, 3.269710f },
	    { 3.236515f, 3.867220f },
	    { 3.684647f, 3.867220f },
	    { 3.867220f, 4.448133f },
	    { 4.398340f, 5.128631f },
      };

    public static void draw( GL gl_ ) {

        gl_.glBegin( GL.GL_TRIANGLE_STRIP );
            gl_.glVertex2fv( e_data[0]);
            gl_.glVertex2fv( e_data[1] );
            gl_.glVertex2fv( e_data[2] );
            gl_.glVertex2fv( e_data[3] );
            gl_.glVertex2fv( e_data[4] );
            gl_.glVertex2fv( e_data[5] );
            gl_.glVertex2fv( e_data[6] );
            gl_.glVertex2fv( e_data[7] );
            gl_.glVertex2fv( e_data[8] );
            gl_.glVertex2fv( e_data[9] );
            gl_.glVertex2fv( e_data[10] );
            gl_.glVertex2fv( e_data[11] );
            gl_.glVertex2fv( e_data[12] );
            gl_.glVertex2fv( e_data[13] );
           	gl_.glVertex2fv( e_data[14] );
           	gl_.glVertex2fv( e_data[15] );
           	gl_.glVertex2fv( e_data[16] );
           	gl_.glVertex2fv( e_data[17] );
           	gl_.glVertex2fv( e_data[18] );
           	gl_.glVertex2fv( e_data[19] );
           	gl_.glVertex2fv( e_data[20] );
           	gl_.glVertex2fv( e_data[21] );
           	gl_.glVertex2fv( e_data[22] );
           	gl_.glVertex2fv( e_data[23] );
           	gl_.glVertex2fv( e_data[24] );
           	gl_.glVertex2fv( e_data[25] );
           	gl_.glVertex2fv( e_data[26] );
           	gl_.glVertex2fv( e_data[27] );
           	gl_.glVertex2fv( e_data[28] );
           	gl_.glVertex2fv( e_data[29] );
           	gl_.glVertex2fv( e_data[30] );
           	gl_.glVertex2fv( e_data[31] );
            gl_.glVertex2fv( e_data[32] );
        gl_.glEnd();

        gl_.glBegin( GL.GL_LINE_STRIP );
            gl_.glVertex2fv( e_data[0] );
            gl_.glVertex2fv( e_data[2] );
            gl_.glVertex2fv( e_data[4] );
            gl_.glVertex2fv( e_data[6] );
            gl_.glVertex2fv( e_data[8] );
            gl_.glVertex2fv( e_data[10] );
            gl_.glVertex2fv( e_data[12] );
            gl_.glVertex2fv( e_data[14] );
            gl_.glVertex2fv( e_data[16] );
            gl_.glVertex2fv( e_data[18] );
            gl_.glVertex2fv( e_data[20] );
            gl_.glVertex2fv( e_data[22] );
            gl_.glVertex2fv( e_data[24] );
            gl_.glVertex2fv( e_data[26] );
            gl_.glVertex2fv( e_data[28] );
            gl_.glVertex2fv( e_data[30] );
            gl_.glVertex2fv( e_data[32] );
            gl_.glVertex2fv( e_data[31] );
            gl_.glVertex2fv( e_data[29] );
            gl_.glVertex2fv( e_data[27] );
            gl_.glVertex2fv( e_data[25] );
            gl_.glVertex2fv( e_data[23] );
            gl_.glVertex2fv( e_data[21] );
            gl_.glVertex2fv( e_data[19] );
            gl_.glVertex2fv( e_data[17] );
            gl_.glVertex2fv( e_data[15] );
            gl_.glVertex2fv( e_data[13] );
            gl_.glVertex2fv( e_data[11] );
            gl_.glVertex2fv( e_data[9] );
            gl_.glVertex2fv( e_data[7] );
            gl_.glVertex2fv( e_data[5] );
            gl_.glVertex2fv( e_data[3] );
            gl_.glVertex2fv( e_data[1] );
        gl_.glEnd();
      }
  }
