/*
 * (c) Copyright 1993, Silicon Graphics, Inc.
 * ALL RIGHTS RESERVED 
 * Permission to use, copy, modify, and distribute this software for 
 * any purpose and without fee is hereby granted, provided that the above
 * copyright notice appear in all copies and that both the copyright notice
 * and this permission notice appear in supporting documentation, and that 
 * the name of Silicon Graphics, Inc. not be used in advertising
 * or publicity pertaining to distribution of the software without specific,
 * written prior permission. 
 *
 * THE MATERIAL EMBODIED ON THIS SOFTWARE IS PROVIDED TO YOU "AS-IS"
 * AND WITHOUT WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR OTHERWISE,
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY OR
 * FITNESS FOR A PARTICULAR PURPOSE.  IN NO EVENT SHALL SILICON
 * GRAPHICS, INC.  BE LIABLE TO YOU OR ANYONE ELSE FOR ANY DIRECT,
 * SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY
 * KIND, OR ANY DAMAGES WHATSOEVER, INCLUDING WITHOUT LIMITATION,
 * LOSS OF PROFIT, LOSS OF USE, SAVINGS OR REVENUE, OR THE CLAIMS OF
 * THIRD PARTIES, WHETHER OR NOT SILICON GRAPHICS, INC.  HAS BEEN
 * ADVISED OF THE POSSIBILITY OF SUCH LOSS, HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE
 * POSSESSION, USE OR PERFORMANCE OF THIS SOFTWARE.
 * 
 * US Government Users Restricted Rights 
 * Use, duplication, or disclosure by the Government is subject to
 * restrictions set forth in FAR 52.227.19(c)(2) or subparagraph
 * (c)(1)(ii) of the Rights in Technical Data and Computer Software
 * clause at DFARS 252.227-7013 and/or in similar or successor
 * clauses in the FAR or the DOD or NASA FAR Supplement.
 * Unpublished-- rights reserved under the copyright laws of the
 * United States.  Contractor/manufacturer is Silicon Graphics,
 * Inc., 2011 N.  Shoreline Blvd., Mountain View, CA 94039-7311.
 *
 * OpenGL(TM) is a trademark of Silicon Graphics, Inc.
 */
/**
 * $Id: logo.java,v 1.2 1998/10/19 11:03:25 descarte Exp descarte $
 *
 * Copyright (c)1997-1998 Arcane Technologies Ltd. <http://www.arcana.co.uk>
 *
 * $Log: logo.java,v $
 * Revision 1.2  1998/10/19 11:03:25  descarte
 * Made JDK-1.1 compliant by removing deprecated methods. Updated copyright.
 *
 * Revision 1.1  1997/11/29 02:22:03  descarte
 * Initial revision
 *
 */

package com.hermetica.magician.demos.ideas;

import com.hermetica.magician.*;

public class logo {

    public static int MAT_LOGO = 1;

    static float[][] scp = {
      {1.000000f, 0.000000f, 0.000000f},	{1.000000f, 0.000000f, 5.000000f},
      {0.707107f, 0.707107f, 0.000000f},	{0.707107f, 0.707107f, 5.000000f},
      {0.000000f, 1.000000f, 0.000000f},	{0.000000f, 1.000000f, 5.000000f},
      {-0.707107f, 0.707107f, 0.000000f},	{-0.707107f, 0.707107f, 5.000000f},
      {-1.000000f, 0.000000f, 0.000000f},	{-1.000000f, 0.000000f, 5.000000f},
      {-0.707107f, -0.707107f, 0.000000f},	{-0.707107f, -0.707107f, 5.000000f},
      {0.000000f, -1.000000f, 0.000000f},	{0.000000f, -1.000000f, 5.000000f},
      {0.707107f, -0.707107f, 0.000000f},	{0.707107f, -0.707107f, 5.000000f},
      {1.000000f, 0.000000f, 0.000000f},	{1.000000f, 0.000000f, 5.000000f},
    };

    static float[][] dcp = {
      {1.000000f, 0.000000f, 0.000000f},	{1.000000f, 0.000000f, 7.000000f},
      {0.707107f, 0.707107f, 0.000000f},	{0.707107f, 0.707107f, 7.000000f},
      {0.000000f, 1.000000f, 0.000000f},	{0.000000f, 1.000000f, 7.000000f},
      {-0.707107f, 0.707107f, 0.000000f},	{-0.707107f, 0.707107f, 7.000000f},
      {-1.000000f, 0.000000f, 0.000000f},	{-1.000000f, 0.000000f, 7.000000f},
      {-0.707107f, -0.707107f, 0.000000f},	{-0.707107f, -0.707107f, 7.000000f},
      {0.000000f, -1.000000f, 0.000000f},	{0.000000f, -1.000000f, 7.000000f},
      {0.707107f, -0.707107f, 0.000000f},	{0.707107f, -0.707107f, 7.000000f},
      {1.000000f, 0.000000f, 0.000000f},	{1.000000f, 0.000000f, 7.000000f},
    };

    static float[][][] ep = {
      {
        {1.000000f, 0.000000f, 0.000000f},
        {0.707107f, 0.707107f, 0.000000f},
        {0.000000f, 1.000000f, 0.000000f},
        {-0.707107f, 0.707107f, 0.000000f},
        {-1.000000f, 0.000000f, 0.000000f},
        {-0.707107f, -0.707107f, 0.000000f},
        {0.000000f, -1.000000f, 0.000000f},
        {0.707107f, -0.707107f, 0.000000f},
        {1.000000f, 0.000000f, 0.000000f},
      },
      
      {
        {1.000000f, 0.034074f, 0.258819f},
        {0.707107f, 0.717087f, 0.075806f},
        {0.000000f, 1.000000f, 0.000000f},
        {-0.707107f, 0.717087f, 0.075806f},
        {-1.000000f, 0.034074f, 0.258819f},
        {-0.707107f, -0.648939f, 0.441832f},
        {0.000000f, -0.931852f, 0.517638f},
        {0.707107f, -0.648939f, 0.441832f},
        {1.000000f, 0.034074f, 0.258819f},
      },
      
      {
        {1.000000f, 0.133975f, 0.500000f},
        {0.707107f, 0.746347f, 0.146447f},
        {0.000000f, 1.000000f, 0.000000f},
        {-0.707107f, 0.746347f, 0.146447f},
        {-1.000000f, 0.133975f, 0.500000f},
        {-0.707107f, -0.478398f, 0.853553f},
        {0.000000f, -0.732051f, 1.000000f},
        {0.707107f, -0.478398f, 0.853553f},
        {1.000000f, 0.133975f, 0.500000f},
      },
      
      {
        {1.000000f, 0.292893f, 0.707107f},
        {0.707107f, 0.792893f, 0.207107f},
        {0.000000f, 1.000000f, 0.000000f},
        {-0.707107f, 0.792893f, 0.207107f},
        {-1.000000f, 0.292893f, 0.707107f},
        {-0.707107f, -0.207107f, 1.207107f},
        {0.000000f, -0.414214f, 1.414214f},
        {0.707107f, -0.207107f, 1.207107f},
        {1.000000f, 0.292893f, 0.707107f},
      },
      
      {
        {1.000000f, 0.500000f, 0.866025f},
        {0.707107f, 0.853553f, 0.253653f},
        {0.000000f, 1.000000f, 0.000000f},
        {-0.707107f, 0.853553f, 0.253653f},
        {-1.000000f, 0.500000f, 0.866025f},
        {-0.707107f, 0.146447f, 1.478398f},
        {0.000000f, 0.000000f, 1.732051f},
        {0.707107f, 0.146447f, 1.478398f},
        {1.000000f, 0.500000f, 0.866025f},
      },
      
      {
        {1.000000f, 0.741181f, 0.965926f},
        {0.707107f, 0.924194f, 0.282913f},
        {0.000000f, 1.000000f, 0.000000f},
        {-0.707107f, 0.924194f, 0.282913f},
        {-1.000000f, 0.741181f, 0.965926f},
        {-0.707107f, 0.558168f, 1.648939f},
        {0.000000f, 0.482362f, 1.931852f},
        {0.707107f, 0.558168f, 1.648939f},
        {1.000000f, 0.741181f, 0.965926f},
      },
      
      {
        {1.000000f, 1.000000f, 1.000000f},
        {0.707107f, 1.000000f, 0.292893f},
        {0.000000f, 1.000000f, 0.000000f},
        {-0.707107f, 1.000000f, 0.292893f},
        {-1.000000f, 1.000000f, 1.000000f},
        {-0.707107f, 1.000000f, 1.707107f},
        {0.000000f, 1.000000f, 2.000000f},
        {0.707107f, 1.000000f, 1.707107f},
        {1.000000f, 1.000000f, 1.000000f},
      },
      
    };
    
    static float[][][] en = {
      {
        {1.000000f, 0.000000f, 0.000000f},
        {0.707107f, 0.707107f, 0.000000f},
        {0.000000f, 1.000000f, 0.000000f},
        {-0.707107f, 0.707107f, 0.000000f},
        {-1.000000f, 0.000000f, 0.000000f},
        {-0.707107f, -0.707107f, 0.000000f},
        {0.000000f, -1.000000f, 0.000000f},
        {0.707107f, -0.707107f, 0.000000f},
        {1.000000f, 0.000000f, 0.000000f},
      },
      
      {
        {1.000000f, 0.000000f, 0.000000f},
        {0.707107f, 0.683013f, -0.183013f},
        {0.000000f, 0.965926f, -0.258819f},
        {-0.707107f, 0.683013f, -0.183013f},
        {-1.000000f, 0.000000f, 0.000000f},
        {-0.707107f, -0.683013f, 0.183013f},
        {0.000000f, -0.965926f, 0.258819f},
        {0.707107f, -0.683013f, 0.183013f},
        {1.000000f, 0.000000f, 0.000000f},
      },
      
      {
        {1.000000f, 0.000000f, 0.000000f},
        {0.707107f, 0.612372f, -0.353553f},
        {0.000000f, 0.866025f, -0.500000f},
        {-0.707107f, 0.612372f, -0.353553f},
        {-1.000000f, 0.000000f, 0.000000f},
        {-0.707107f, -0.612372f, 0.353553f},
        {0.000000f, -0.866025f, 0.500000f},
        {0.707107f, -0.612372f, 0.353553f},
        {1.000000f, 0.000000f, 0.000000f},
      },
      
      {
        {1.000000f, 0.000000f, 0.000000f},
        {0.707107f, 0.500000f, -0.500000f},
        {0.000000f, 0.707107f, -0.707107f},
        {-0.707107f, 0.500000f, -0.500000f},
        {-1.000000f, 0.000000f, 0.000000f},
        {-0.707107f, -0.500000f, 0.500000f},
        {0.000000f, -0.707107f, 0.707107f},
        {0.707107f, -0.500000f, 0.500000f},
        {1.000000f, 0.000000f, 0.000000f},
      },
      
      {
        {1.000000f, 0.000000f, 0.000000f},
        {0.707107f, 0.353553f, -0.612372f},
        {0.000000f, 0.500000f, -0.866025f},
        {-0.707107f, 0.353553f, -0.612372f},
        {-1.000000f, 0.000000f, 0.000000f},
        {-0.707107f, -0.353553f, 0.612372f},
        {0.000000f, -0.500000f, 0.866025f},
        {0.707107f, -0.353553f, 0.612372f},
        {1.000000f, 0.000000f, 0.000000f},
      },
      
      {
        {1.000000f, 0.000000f, 0.000000f},
        {0.707107f, 0.183013f, -0.683013f},
        {0.000000f, 0.258819f, -0.965926f},
        {-0.707107f, 0.183013f, -0.683013f},
        {-1.000000f, 0.000000f, 0.000000f},
        {-0.707107f, -0.183013f, 0.683013f},
        {0.000000f, -0.258819f, 0.965926f},
        {0.707107f, -0.183013f, 0.683013f},
        {1.000000f, 0.000000f, 0.000000f},
      },
      
      {
        {1.000000f, 0.000000f, 0.000000f},
        {0.707107f, 0.000000f, -0.707107f},
        {0.000000f, 0.000000f, -1.000000f},
        {-0.707107f, 0.000000f, -0.707107f},
        {-1.000000f, 0.000000f, 0.000000f},
        {-0.707107f, 0.000000f, 0.707107f},
        {0.000000f, 0.000000f, 1.000000f},
        {0.707107f, 0.000000f, 0.707107f},
        {1.000000f, 0.000000f, 0.000000f},
      },
      
    };
    
    private static void draw_single_cylinder( GL gl_ ) {
  
      gl_.glBegin( GL.GL_TRIANGLE_STRIP);
      gl_.glNormal3fv( scp[0] ); gl_.glVertex3fv( scp[0] );
      gl_.glNormal3fv( scp[0] ); gl_.glVertex3fv( scp[1] );
      gl_.glNormal3fv( scp[2] ); gl_.glVertex3fv( scp[2] );
      gl_.glNormal3fv( scp[2] ); gl_.glVertex3fv( scp[3] );
      gl_.glNormal3fv( scp[4] ); gl_.glVertex3fv( scp[4] );
      gl_.glNormal3fv( scp[4] ); gl_.glVertex3fv( scp[5] );
      gl_.glNormal3fv( scp[6] ); gl_.glVertex3fv( scp[6] );
      gl_.glNormal3fv( scp[6] ); gl_.glVertex3fv( scp[7] );
      gl_.glNormal3fv( scp[8] ); gl_.glVertex3fv( scp[8] );
      gl_.glNormal3fv( scp[8] ); gl_.glVertex3fv( scp[9] );
      gl_.glNormal3fv( scp[10] ); gl_.glVertex3fv( scp[10] );
      gl_.glNormal3fv( scp[10] ); gl_.glVertex3fv( scp[11] );
      gl_.glNormal3fv( scp[12] ); gl_.glVertex3fv( scp[12] );
      gl_.glNormal3fv( scp[12] ); gl_.glVertex3fv( scp[13] );
      gl_.glNormal3fv( scp[14] ); gl_.glVertex3fv( scp[14] );
      gl_.glNormal3fv( scp[14] ); gl_.glVertex3fv( scp[15] );
      gl_.glNormal3fv( scp[16] ); gl_.glVertex3fv( scp[16] );
      gl_.glNormal3fv( scp[16] ); gl_.glVertex3fv( scp[17] );
      gl_.glEnd();
    }
    
    private static void draw_double_cylinder( GL gl_ ) {
      
      gl_.glEnable( GL.GL_NORMALIZE );
      
      gl_.glBegin( GL.GL_TRIANGLE_STRIP );
      gl_.glNormal3fv( dcp[0] ); gl_.glVertex3fv( dcp[0] );
      gl_.glNormal3fv( dcp[0] );
      gl_.glVertex3fv( dcp[1] );
      gl_.glNormal3fv( dcp[2] ); gl_.glVertex3fv( dcp[2] );
      gl_.glNormal3fv( dcp[2] );
      gl_.glVertex3fv( dcp[3] );
      gl_.glNormal3fv( dcp[4] ); gl_.glVertex3fv( dcp[4] );
      gl_.glNormal3fv( dcp[4] );
      gl_.glVertex3fv( dcp[5] );
      gl_.glNormal3fv( dcp[6] ); gl_.glVertex3fv( dcp[6] );
      gl_.glNormal3fv( dcp[6] );
      gl_.glVertex3fv( dcp[7] );
      gl_.glNormal3fv( dcp[8] ); gl_.glVertex3fv( dcp[8] );
      gl_.glNormal3fv( dcp[8] );
      gl_.glVertex3fv( dcp[9] );
      gl_.glNormal3fv( dcp[10] ); gl_.glVertex3fv( dcp[10] );
      gl_.glNormal3fv( dcp[10] );
      gl_.glVertex3fv( dcp[11] );
      gl_.glNormal3fv( dcp[12] ); gl_.glVertex3fv( dcp[12] );
      gl_.glNormal3fv( dcp[12] );
      gl_.glVertex3fv( dcp[13] );
      gl_.glNormal3fv( dcp[14] ); gl_.glVertex3fv( dcp[14] );
      gl_.glNormal3fv( dcp[14] );
      gl_.glVertex3fv( dcp[15] );
      gl_.glNormal3fv( dcp[16] ); gl_.glVertex3fv( dcp[16] );
      gl_.glNormal3fv( dcp[16] );
      gl_.glVertex3fv( dcp[17] );
      gl_.glEnd();
    }
    
    private static void draw_elbow( GL gl_ ) {
      
      gl_.glBegin( GL.GL_TRIANGLE_STRIP );
      gl_.glNormal3fv( en[0][0] ); gl_.glVertex3fv( ep[0][0] );
      gl_.glNormal3fv( en[1][0] ); gl_.glVertex3fv( ep[1][0] );
      gl_.glNormal3fv( en[0][1] ); gl_.glVertex3fv( ep[0][1] );
      gl_.glNormal3fv( en[1][1] ); gl_.glVertex3fv( ep[1][1] );
      gl_.glNormal3fv( en[0][2] ); gl_.glVertex3fv( ep[0][2] );
      gl_.glNormal3fv( en[1][2] ); gl_.glVertex3fv( ep[1][2] );
      gl_.glNormal3fv( en[0][3] ); gl_.glVertex3fv( ep[0][3] );
      gl_.glNormal3fv( en[1][3] ); gl_.glVertex3fv( ep[1][3] );
      gl_.glNormal3fv( en[0][4] ); gl_.glVertex3fv( ep[0][4] );
      gl_.glNormal3fv( en[1][4] ); gl_.glVertex3fv( ep[1][4] );
      gl_.glNormal3fv( en[0][5] ); gl_.glVertex3fv( ep[0][5] );
      gl_.glNormal3fv( en[1][5] ); gl_.glVertex3fv( ep[1][5] );
      gl_.glNormal3fv( en[0][6] ); gl_.glVertex3fv( ep[0][6] );
      gl_.glNormal3fv( en[1][6] ); gl_.glVertex3fv( ep[1][6] );
      gl_.glNormal3fv( en[0][7] ); gl_.glVertex3fv( ep[0][7] );
      gl_.glNormal3fv( en[1][7] ); gl_.glVertex3fv( ep[1][7] );
      gl_.glNormal3fv( en[0][8] ); gl_.glVertex3fv( ep[0][8] );
      gl_.glNormal3fv( en[1][8] ); gl_.glVertex3fv( ep[1][8] );
      gl_.glEnd();
      gl_.glBegin( GL.GL_TRIANGLE_STRIP );
      gl_.glNormal3fv( en[1][0] ); gl_.glVertex3fv( ep[1][0] );
      gl_.glNormal3fv( en[2][0] ); gl_.glVertex3fv( ep[2][0] );
      gl_.glNormal3fv( en[1][1] ); gl_.glVertex3fv( ep[1][1] );
      gl_.glNormal3fv( en[2][1] ); gl_.glVertex3fv( ep[2][1] );
      gl_.glNormal3fv( en[1][2] ); gl_.glVertex3fv( ep[1][2] );
      gl_.glNormal3fv( en[2][2] ); gl_.glVertex3fv( ep[2][2] );
      gl_.glNormal3fv( en[1][3] ); gl_.glVertex3fv( ep[1][3] );
      gl_.glNormal3fv( en[2][3] ); gl_.glVertex3fv( ep[2][3] );
      gl_.glNormal3fv( en[1][4] ); gl_.glVertex3fv( ep[1][4] );
      gl_.glNormal3fv( en[2][4] ); gl_.glVertex3fv( ep[2][4] );
      gl_.glNormal3fv( en[1][5] ); gl_.glVertex3fv( ep[1][5] );
      gl_.glNormal3fv( en[2][5] ); gl_.glVertex3fv( ep[2][5] );
      gl_.glNormal3fv( en[1][6] ); gl_.glVertex3fv( ep[1][6] );
      gl_.glNormal3fv( en[2][6] ); gl_.glVertex3fv( ep[2][6] );
      gl_.glNormal3fv( en[1][7] ); gl_.glVertex3fv( ep[1][7] );
      gl_.glNormal3fv( en[2][7] ); gl_.glVertex3fv( ep[2][7] );
      gl_.glNormal3fv( en[1][8] ); gl_.glVertex3fv( ep[1][8] );
      gl_.glNormal3fv( en[2][8] ); gl_.glVertex3fv( ep[2][8] );
      gl_.glEnd();
      gl_.glBegin(GL.GL_TRIANGLE_STRIP);
      gl_.glNormal3fv(en[2][0]); gl_.glVertex3fv(ep[2][0]);
      gl_.glNormal3fv(en[3][0]); gl_.glVertex3fv(ep[3][0]);
      gl_.glNormal3fv(en[2][1]); gl_.glVertex3fv(ep[2][1]);
      gl_.glNormal3fv(en[3][1]); gl_.glVertex3fv(ep[3][1]);
      gl_.glNormal3fv(en[2][2]); gl_.glVertex3fv(ep[2][2]);
      gl_.glNormal3fv(en[3][2]); gl_.glVertex3fv(ep[3][2]);
      gl_.glNormal3fv(en[2][3]); gl_.glVertex3fv(ep[2][3]);
      gl_.glNormal3fv(en[3][3]); gl_.glVertex3fv(ep[3][3]);
      gl_.glNormal3fv(en[2][4]); gl_.glVertex3fv(ep[2][4]);
      gl_.glNormal3fv(en[3][4]); gl_.glVertex3fv(ep[3][4]);
      gl_.glNormal3fv(en[2][5]); gl_.glVertex3fv(ep[2][5]);
      gl_.glNormal3fv(en[3][5]); gl_.glVertex3fv(ep[3][5]);
      gl_.glNormal3fv(en[2][6]); gl_.glVertex3fv(ep[2][6]);
      gl_.glNormal3fv(en[3][6]); gl_.glVertex3fv(ep[3][6]);
      gl_.glNormal3fv(en[2][7]); gl_.glVertex3fv(ep[2][7]);
      gl_.glNormal3fv(en[3][7]); gl_.glVertex3fv(ep[3][7]);
      gl_.glNormal3fv(en[2][8]); gl_.glVertex3fv(ep[2][8]);
      gl_.glNormal3fv(en[3][8]); gl_.glVertex3fv(ep[3][8]);
      gl_.glEnd();
      gl_.glBegin(GL.GL_TRIANGLE_STRIP);
      gl_.glNormal3fv(en[3][0]); gl_.glVertex3fv(ep[3][0]);
      gl_.glNormal3fv(en[4][0]); gl_.glVertex3fv(ep[4][0]);
      gl_.glNormal3fv(en[3][1]); gl_.glVertex3fv(ep[3][1]);
      gl_.glNormal3fv(en[4][1]); gl_.glVertex3fv(ep[4][1]);
      gl_.glNormal3fv(en[3][2]); gl_.glVertex3fv(ep[3][2]);
      gl_.glNormal3fv(en[4][2]); gl_.glVertex3fv(ep[4][2]);
      gl_.glNormal3fv(en[3][3]); gl_.glVertex3fv(ep[3][3]);
      gl_.glNormal3fv(en[4][3]); gl_.glVertex3fv(ep[4][3]);
      gl_.glNormal3fv(en[3][4]); gl_.glVertex3fv(ep[3][4]);
      gl_.glNormal3fv(en[4][4]); gl_.glVertex3fv(ep[4][4]);
      gl_.glNormal3fv(en[3][5]); gl_.glVertex3fv(ep[3][5]);
      gl_.glNormal3fv(en[4][5]); gl_.glVertex3fv(ep[4][5]);
      gl_.glNormal3fv(en[3][6]); gl_.glVertex3fv(ep[3][6]);
      gl_.glNormal3fv(en[4][6]); gl_.glVertex3fv(ep[4][6]);
      gl_.glNormal3fv(en[3][7]); gl_.glVertex3fv(ep[3][7]);
      gl_.glNormal3fv(en[4][7]); gl_.glVertex3fv(ep[4][7]);
      gl_.glNormal3fv(en[3][8]); gl_.glVertex3fv(ep[3][8]);
      gl_.glNormal3fv(en[4][8]); gl_.glVertex3fv(ep[4][8]);
      gl_.glEnd();
      gl_.glBegin(GL.GL_TRIANGLE_STRIP);
      gl_.glNormal3fv(en[4][0]); gl_.glVertex3fv(ep[4][0]);
      gl_.glNormal3fv(en[5][0]); gl_.glVertex3fv(ep[5][0]);
      gl_.glNormal3fv(en[4][1]); gl_.glVertex3fv(ep[4][1]);
      gl_.glNormal3fv(en[5][1]); gl_.glVertex3fv(ep[5][1]);
      gl_.glNormal3fv(en[4][2]); gl_.glVertex3fv(ep[4][2]);
      gl_.glNormal3fv(en[5][2]); gl_.glVertex3fv(ep[5][2]);
      gl_.glNormal3fv(en[4][3]); gl_.glVertex3fv(ep[4][3]);
      gl_.glNormal3fv(en[5][3]); gl_.glVertex3fv(ep[5][3]);
      gl_.glNormal3fv(en[4][4]); gl_.glVertex3fv(ep[4][4]);
      gl_.glNormal3fv(en[5][4]); gl_.glVertex3fv(ep[5][4]);
      gl_.glNormal3fv(en[4][5]); gl_.glVertex3fv(ep[4][5]);
      gl_.glNormal3fv(en[5][5]); gl_.glVertex3fv(ep[5][5]);
      gl_.glNormal3fv(en[4][6]); gl_.glVertex3fv(ep[4][6]);
      gl_.glNormal3fv(en[5][6]); gl_.glVertex3fv(ep[5][6]);
      gl_.glNormal3fv(en[4][7]); gl_.glVertex3fv(ep[4][7]);
      gl_.glNormal3fv(en[5][7]); gl_.glVertex3fv(ep[5][7]);
      gl_.glNormal3fv(en[4][8]); gl_.glVertex3fv(ep[4][8]);
      gl_.glNormal3fv(en[5][8]); gl_.glVertex3fv(ep[5][8]);
      gl_.glEnd();
      gl_.glBegin(GL.GL_TRIANGLE_STRIP);
      gl_.glNormal3fv(en[5][0]); gl_.glVertex3fv(ep[5][0]);
      gl_.glNormal3fv(en[6][0]); gl_.glVertex3fv(ep[6][0]);
      gl_.glNormal3fv(en[5][1]); gl_.glVertex3fv(ep[5][1]);
      gl_.glNormal3fv(en[6][1]); gl_.glVertex3fv(ep[6][1]);
      gl_.glNormal3fv(en[5][2]); gl_.glVertex3fv(ep[5][2]);
      gl_.glNormal3fv(en[6][2]); gl_.glVertex3fv(ep[6][2]);
      gl_.glNormal3fv(en[5][3]); gl_.glVertex3fv(ep[5][3]);
      gl_.glNormal3fv(en[6][3]); gl_.glVertex3fv(ep[6][3]);
      gl_.glNormal3fv(en[5][4]); gl_.glVertex3fv(ep[5][4]);
      gl_.glNormal3fv(en[6][4]); gl_.glVertex3fv(ep[6][4]);
      gl_.glNormal3fv(en[5][5]); gl_.glVertex3fv(ep[5][5]);
      gl_.glNormal3fv(en[6][5]); gl_.glVertex3fv(ep[6][5]);
      gl_.glNormal3fv(en[5][6]); gl_.glVertex3fv(ep[5][6]);
      gl_.glNormal3fv(en[6][6]); gl_.glVertex3fv(ep[6][6]);
      gl_.glNormal3fv(en[5][7]); gl_.glVertex3fv(ep[5][7]);
      gl_.glNormal3fv(en[6][7]); gl_.glVertex3fv(ep[6][7]);
      gl_.glNormal3fv(en[5][8]); gl_.glVertex3fv(ep[5][8]);
      gl_.glNormal3fv(en[6][8]); gl_.glVertex3fv(ep[6][8]);
      gl_.glEnd();
    }

    private static void bend_forward( GL gl_ ) {
  
      gl_.glTranslatef(0.0f,  1.000000f,  0.0f);
      gl_.glRotatef ( (float)( 0.1 * (900) ), 1.0f, 0.0f, 0.0f);
      gl_.glTranslatef(0.0f,  -1.000000f,  0.0f);
    }
    
    private static void bend_left( GL gl_ ) {
      gl_.glRotatef ( (float)( 0.1 * (-900) ), 0.0f, 0.0f, 1.0f);
      gl_.glTranslatef(0.0f, 1.000000f, 0.0f);
      gl_.glRotatef ( (float)( 0.1 * (900) ), 1.0f, 0.0f, 0.0f);
      gl_.glTranslatef(0.0f, -1.000000f, 0.0f);
    }
    
    private static void bend_right( GL gl_ ) {
      gl_.glRotatef ( (float)( 0.1 * (900) ), 0.0f, 0.0f, 1.0f);
      gl_.glTranslatef(0.0f, 1.000000f, 0.0f);
      gl_.glRotatef ( (float)( 0.1 * (900) ), 1.0f, 0.0f, 0.0f);
      gl_.glTranslatef(0.0f, -1.000000f, 0.0f);
    }
    
    public static void draw( GL gl_ ) {
  
        gl_.glCallList( MAT_LOGO); 
  
        gl_.glTranslatef(5.500000f,  -3.500000f,  4.500000f);
  
        gl_.glTranslatef(0.0f,  0.0f,  -7.000000f);
        draw_double_cylinder( gl_ );
        bend_forward( gl_ );
        draw_elbow( gl_ );
        gl_.glTranslatef(0.0f,  0.0f,  -7.000000f);
        draw_double_cylinder( gl_ );
        bend_forward( gl_ );
        draw_elbow( gl_ );
        gl_.glTranslatef(0.0f,  0.0f,  -5.000000f);
        draw_single_cylinder( gl_ );
        bend_right( gl_ );
        draw_elbow( gl_ );
        gl_.glTranslatef(0.0f,  0.0f,  -7.000000f);
        draw_double_cylinder( gl_ );
        bend_forward( gl_ );
        draw_elbow( gl_ );
        gl_.glTranslatef(0.0f,  0.0f,  -7.000000f);
        draw_double_cylinder( gl_ );
        bend_forward( gl_ );
        draw_elbow( gl_ );
        gl_.glTranslatef(0.0f,  0.0f,  -5.000000f);
        draw_single_cylinder( gl_ );
        bend_left( gl_ );
        draw_elbow( gl_ );
        gl_.glTranslatef(0.0f,  0.0f,  -7.000000f);
        draw_double_cylinder( gl_ );
        bend_forward( gl_ );
        draw_elbow( gl_ );
        gl_.glTranslatef(0.0f,  0.0f,  -7.000000f);
        draw_double_cylinder( gl_ );
        bend_forward( gl_ );
        draw_elbow( gl_ );
        gl_.glTranslatef(0.0f,  0.0f,  -5.000000f);
        draw_single_cylinder( gl_ );
        bend_right( gl_ );
        draw_elbow( gl_ );
        gl_.glTranslatef(0.0f,  0.0f,  -7.000000f);
        draw_double_cylinder( gl_ );
        bend_forward( gl_ );
        draw_elbow( gl_ );
        gl_.glTranslatef(0.0f,  0.0f,  -7.000000f);
        draw_double_cylinder( gl_ );
        bend_forward( gl_ );
        draw_elbow( gl_ );
        gl_.glTranslatef(0.0f,  0.0f,  -5.000000f);
        draw_single_cylinder( gl_ );
        bend_left( gl_ );
        draw_elbow( gl_ );
        gl_.glTranslatef(0.0f,  0.0f,  -7.000000f);
        draw_double_cylinder( gl_ );
        bend_forward( gl_ );
        draw_elbow( gl_ );
        gl_.glTranslatef(0.0f,  0.0f,  -7.000000f);
        draw_double_cylinder( gl_ );
        bend_forward( gl_ );
        draw_elbow( gl_ );
        gl_.glTranslatef(0.0f,  0.0f,  -5.000000f);
        draw_single_cylinder( gl_ );
        bend_right( gl_ );
        draw_elbow( gl_ );
        gl_.glTranslatef(0.0f,  0.0f,  -7.000000f);
        draw_double_cylinder( gl_ );
        bend_forward( gl_ );
        draw_elbow( gl_ );
        gl_.glTranslatef(0.0f,  0.0f,  -7.000000f);
        draw_double_cylinder( gl_ );
        bend_forward( gl_ );
        draw_elbow( gl_ );
        gl_.glTranslatef(0.0f,  0.0f,  -5.000000f);
        draw_single_cylinder( gl_ );
        bend_left( gl_ );
        draw_elbow( gl_ );
        
        gl_.glDisable(GL.GL_NORMALIZE);
      }
  }
