/*
 * (c) Copyright 1993, Silicon Graphics, Inc.
 * ALL RIGHTS RESERVED 
 * Permission to use, copy, modify, and distribute this software for 
 * any purpose and without fee is hereby granted, provided that the above
 * copyright notice appear in all copies and that both the copyright notice
 * and this permission notice appear in supporting documentation, and that 
 * the name of Silicon Graphics, Inc. not be used in advertising
 * or publicity pertaining to distribution of the software without specific,
 * written prior permission. 
 *
 * THE MATERIAL EMBODIED ON THIS SOFTWARE IS PROVIDED TO YOU "AS-IS"
 * AND WITHOUT WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR OTHERWISE,
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY OR
 * FITNESS FOR A PARTICULAR PURPOSE.  IN NO EVENT SHALL SILICON
 * GRAPHICS, INC.  BE LIABLE TO YOU OR ANYONE ELSE FOR ANY DIRECT,
 * SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY
 * KIND, OR ANY DAMAGES WHATSOEVER, INCLUDING WITHOUT LIMITATION,
 * LOSS OF PROFIT, LOSS OF USE, SAVINGS OR REVENUE, OR THE CLAIMS OF
 * THIRD PARTIES, WHETHER OR NOT SILICON GRAPHICS, INC.  HAS BEEN
 * ADVISED OF THE POSSIBILITY OF SUCH LOSS, HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE
 * POSSESSION, USE OR PERFORMANCE OF THIS SOFTWARE.
 * 
 * US Government Users Restricted Rights 
 * Use, duplication, or disclosure by the Government is subject to
 * restrictions set forth in FAR 52.227.19(c)(2) or subparagraph
 * (c)(1)(ii) of the Rights in Technical Data and Computer Software
 * clause at DFARS 252.227-7013 and/or in similar or successor
 * clauses in the FAR or the DOD or NASA FAR Supplement.
 * Unpublished-- rights reserved under the copyright laws of the
 * United States.  Contractor/manufacturer is Silicon Graphics,
 * Inc., 2011 N.  Shoreline Blvd., Mountain View, CA 94039-7311.
 *
 * OpenGL(TM) is a trademark of Silicon Graphics, Inc.
 *
 * $Id: m.java,v 1.2 1998/10/19 11:03:19 descarte Exp descarte $
 *
 * Magician conversion Copyright (c)1997-1998 Arcane Technologies Ltd. <http://www.arcana.co.uk>
 *
 * $Log: m.java,v $
 * Revision 1.2  1998/10/19 11:03:19  descarte
 * Made JDK-1.1 compliant by removing deprecated methods. Updated copyright.
 *
 * Revision 1.1  1997/08/24 20:51:47  descarte
 * Initial revision
 *
 */

package com.hermetica.magician.demos.ideas;

import com.hermetica.magician.*;

public class m {

    private static float[][] m_data = {
        { 0.590769f, 9.449335f },
        { 2.116923f, 9.842375f },
        { 1.362051f, 9.383828f },
        { 2.527179f, 9.825998f },
        { 1.591795f, 9.072672f },
        { 2.789744f, 9.514841f },
        { 1.690256f, 8.663255f },
        { 2.658462f, 8.335722f },
        { 1.575385f, 7.222108f },
        { 2.067692f, 6.255886f },
        { 0.918974f, 4.028659f },
        { 1.050256f, 3.013306f },
        { 0.705641f, 3.013306f },
 
        { 2.018461f, 6.386899f },
        { 1.788718f, 5.617196f },
        { 2.921026f, 7.991812f },
        { 3.167180f, 8.008188f },
        { 3.544615f, 8.827022f },
        { 3.872821f, 8.843398f },
        { 4.414359f, 9.547595f },
        { 4.447179f, 9.056294f },
        { 5.120000f, 9.891504f },
        { 4.841026f, 8.843398f },
        { 5.825641f, 9.809621f },
        { 5.005128f, 8.040941f },
        { 5.989744f, 8.761515f },
        { 4.906667f, 6.714432f },
        { 5.595897f, 7.123848f },
        { 3.987692f, 2.996929f },
        { 4.348718f, 2.996929f },

        { 5.218462f, 5.977482f },
        { 5.251282f, 6.354146f },
        { 6.449231f, 7.893552f },
        { 6.400000f, 8.221085f },
        { 7.302564f, 8.843398f },
        { 7.351795f, 9.334698f },
        { 7.827693f, 9.154554f },
        { 8.008205f, 9.842375f },
        { 8.139487f, 9.121801f },
        { 8.795897f, 9.973388f },
        { 8.402051f, 8.728762f },
        { 9.337436f, 9.531218f },
        { 8.402051f, 8.040941f },
        { 9.288205f, 8.433982f },
        { 7.745641f, 5.813715f },
        { 8.320000f, 5.928352f },
        { 7.286154f, 4.012282f },
        { 7.991795f, 4.126919f },
        { 7.499487f, 3.357216f },
        { 8.533334f, 3.766633f },
        { 8.123077f, 3.062436f },
        { 8.927179f, 3.832139f },
        { 8.910769f, 3.340839f },
        { 9.550769f, 4.126919f },
      };

    public static void draw( GL gl_ ) {
        gl_.glBegin( GL.GL_LINE_STRIP );
            gl_.glVertex2fv( m_data[0] );
            gl_.glVertex2fv( m_data[2] );
            gl_.glVertex2fv( m_data[4] );
            gl_.glVertex2fv( m_data[6] );
            gl_.glVertex2fv( m_data[8] );
            gl_.glVertex2fv( m_data[10] );
            gl_.glVertex2fv( m_data[12] );
            gl_.glVertex2fv( m_data[11] );
            gl_.glVertex2fv( m_data[9] );
            gl_.glVertex2fv( m_data[7] );
            gl_.glVertex2fv( m_data[5] );
            gl_.glVertex2fv( m_data[3] );
            gl_.glVertex2fv( m_data[1] );
        gl_.glEnd();

        gl_.glBegin( GL.GL_LINE_STRIP );
            gl_.glVertex2fv( m_data[14] );
            gl_.glVertex2fv( m_data[16] );
            gl_.glVertex2fv( m_data[18] );
            gl_.glVertex2fv( m_data[20] );
            gl_.glVertex2fv( m_data[22] );
            gl_.glVertex2fv( m_data[24] );
            gl_.glVertex2fv( m_data[26] );
            gl_.glVertex2fv( m_data[28] );
            gl_.glVertex2fv( m_data[29] );
            gl_.glVertex2fv( m_data[27] );
            gl_.glVertex2fv( m_data[25] );
            gl_.glVertex2fv( m_data[23] );
            gl_.glVertex2fv( m_data[21] );
            gl_.glVertex2fv( m_data[19] );
            gl_.glVertex2fv( m_data[17] );
            gl_.glVertex2fv( m_data[15] );
            gl_.glVertex2fv( m_data[13] );
        gl_.glEnd();
            
        gl_.glBegin( GL.GL_LINE_STRIP );
            gl_.glVertex2fv( m_data[30] );
            gl_.glVertex2fv( m_data[32] );
            gl_.glVertex2fv( m_data[34] );
            gl_.glVertex2fv( m_data[36] );
            gl_.glVertex2fv( m_data[38] );
            gl_.glVertex2fv( m_data[40] );
            gl_.glVertex2fv( m_data[42] );
            gl_.glVertex2fv( m_data[44] );
            gl_.glVertex2fv( m_data[46] );
            gl_.glVertex2fv( m_data[48] );
            gl_.glVertex2fv( m_data[50] );
            gl_.glVertex2fv( m_data[52] );
            gl_.glVertex2fv( m_data[53] );
            gl_.glVertex2fv( m_data[51] );
            gl_.glVertex2fv( m_data[49] );
            gl_.glVertex2fv( m_data[47] );
            gl_.glVertex2fv( m_data[45] );
            gl_.glVertex2fv( m_data[43] );
            gl_.glVertex2fv( m_data[41] );
            gl_.glVertex2fv( m_data[39] );
            gl_.glVertex2fv( m_data[37] );
            gl_.glVertex2fv( m_data[35] );
            gl_.glVertex2fv( m_data[33] );
            gl_.glVertex2fv( m_data[31] );
        gl_.glEnd();

        gl_.glBegin( GL.GL_TRIANGLE_STRIP );
            gl_.glVertex2fv( m_data[0] );
            gl_.glVertex2fv( m_data[1] );
            gl_.glVertex2fv( m_data[2] );
            gl_.glVertex2fv( m_data[3] );
            gl_.glVertex2fv( m_data[4] );
            gl_.glVertex2fv( m_data[5] );
            gl_.glVertex2fv( m_data[6] );
            gl_.glVertex2fv( m_data[7] );
            gl_.glVertex2fv( m_data[8] );
            gl_.glVertex2fv( m_data[9] );
            gl_.glVertex2fv( m_data[10] );
            gl_.glVertex2fv( m_data[11] );
            gl_.glVertex2fv( m_data[12] );
        gl_.glEnd();

        gl_.glBegin( GL.GL_TRIANGLE_STRIP );
            gl_.glVertex2fv( m_data[13] );
            gl_.glVertex2fv( m_data[14] );
            gl_.glVertex2fv( m_data[15] );
            gl_.glVertex2fv( m_data[16] );
            gl_.glVertex2fv( m_data[17] );
            gl_.glVertex2fv( m_data[18] );
            gl_.glVertex2fv( m_data[19] );
            gl_.glVertex2fv( m_data[20] );
            gl_.glVertex2fv( m_data[21] );
            gl_.glVertex2fv( m_data[22] );
            gl_.glVertex2fv( m_data[23] );
            gl_.glVertex2fv( m_data[24] );
            gl_.glVertex2fv( m_data[25] );
            gl_.glVertex2fv( m_data[26] );
            gl_.glVertex2fv( m_data[27] );
            gl_.glVertex2fv( m_data[28] );
            gl_.glVertex2fv( m_data[29] );
        gl_.glEnd();

        gl_.glBegin( GL.GL_TRIANGLE_STRIP );
            gl_.glVertex2fv( m_data[30] );
            gl_.glVertex2fv( m_data[31] );
            gl_.glVertex2fv( m_data[32] );
            gl_.glVertex2fv( m_data[33] );
            gl_.glVertex2fv( m_data[34] );
            gl_.glVertex2fv( m_data[35] );
            gl_.glVertex2fv( m_data[36] );
            gl_.glVertex2fv( m_data[37] );
            gl_.glVertex2fv( m_data[38] );
            gl_.glVertex2fv( m_data[39] );
            gl_.glVertex2fv( m_data[40] );
            gl_.glVertex2fv( m_data[41] );
            gl_.glVertex2fv( m_data[42] );
            gl_.glVertex2fv( m_data[43] );
            gl_.glVertex2fv( m_data[44] );
            gl_.glVertex2fv( m_data[45] );
            gl_.glVertex2fv( m_data[46] );
            gl_.glVertex2fv( m_data[47] );
            gl_.glVertex2fv( m_data[48] );
            gl_.glVertex2fv( m_data[49] );
            gl_.glVertex2fv( m_data[50] );
            gl_.glVertex2fv( m_data[51] );
            gl_.glVertex2fv( m_data[52] );
            gl_.glVertex2fv( m_data[53] );
        gl_.glEnd();
      }
  }
